import { world, system } from "@minecraft/server";
import * as ui from "@minecraft/server-ui";

world.beforeEvents.worldInitialize.subscribe((data) => {
    data.blockComponentRegistry.registerCustomComponent("gb:on_interact", {
        onPlayerInteract(e) {
            const { player, block } = e
            if (!player) return
            if (block.typeId === "design:laptop") player.addTag('station_buy')
        }
    });
})


world.afterEvents.itemUse.subscribe(eventData => {
    const { itemStack: item, source: player } = eventData;

    if (item.typeId === "azoz:station") {
        player.runCommand("playsound menu_cso.show");
        pagePersonal(player);
    }
    if (item.typeId === "minecraft:compass" && player.hasTag("alert_perk")) {
        player.runCommand(
            'tag @a[r=100,tag=!alert_perk] add alert_pick'
          )  
          player.runCommand(
            'playsound random.levelup @s ~~~ 1 2'
          ) 
    }
    if (item.typeId === 'decoder:unique' && player.isSneaking) {
        pageDecoderUNIQUE(player)
        player.runCommand(
            'playsound menu_cso.show'
          )  
    }
    if (item.typeId === 'decoder:common' && player.isSneaking) {
        pageDecoderCommon(player)
        player.runCommand(
            'playsound menu_cso.show'
          )  
    }
    if (item.typeId === 'decoder:advanced' && player.isSneaking) {
        pageDecoderAdvanced(player)
        player.runCommand(
            'playsound menu_cso.show'
          )  
    }
    if (item.typeId === 'decoder:rare' && player.isSneaking) {
        pageDecoderRare(player)
        player.runCommand(
            'playsound menu_cso.show'
          )  
    }
    if (item.typeId === 'decoder:epic' && player.isSneaking) {
        pageDecoderEpic(player)
        player.runCommand(
            'playsound menu_cso.show'
          )  
    }
});
world.beforeEvents.worldInitialize.subscribe((eventData) => {
    eventData.blockComponentRegistry.registerCustomComponent("gb:flash_block", {
        onTick(e) {
            const { block } = e;
            block.setType("minecraft:air");
        }
    });
    eventData.blockComponentRegistry.registerCustomComponent("gb:antiflash", {
        onTick(e) {
            const { block } = e;
            system.runTimeout(()=>{ 
                 block.setType("minecraft:air");
             },60)
        }
    })
});


function pagePersonal(player) {
	let formPersonal = new ui.ActionFormData()
	formPersonal.title('⪼ §fPersonal Station§r ⪻')
    formPersonal.body('§fPersonal Station§r is your personal space! you can edit various things without needing permission from anyone.')
    formPersonal.button('§7Announcer', 'textures/origins/cooldown/kill_mob') //Second Argument is to show icon on the left side of the button
    formPersonal.button('§7Morphs', 'textures/ui/morph') //Second Argument is to show icon on the left side of the button
    formPersonal.button('§7Inspect Options', 'textures/ui/inspect') //Second Argument is to show icon on the left side of the button
    formPersonal.button('§7Weapon Options', 'textures/ui/settings') //Second Argument is to show icon on the left side of the button
    formPersonal.show(player).then(result => {
        let selection = result.selection
		
		if (selection == 0) {
            pageAnnouncer(player)
        }
        if (selection == 1) {
            pageMorph(player)
        }
        if (selection == 2) {
            pageInspectOptions(player)
        }
        if (selection == 3) {
            pageWeaponOptions(player)
        }
    })
}

function onTick() {
    for (const player of world.getPlayers()) {
        const playerContainer = player.getComponent("inventory").container
        for (let i = 0; i < playerContainer.size; i++) {
            const item = playerContainer.getItem(i);
            const findLore = ItemArray.find(x => x.itemId == item?.typeId);
            const lore = item?.getLore();
            if (!findLore || !item || lore?.length != 0) continue
            item.setLore(findLore.lore);
            playerContainer.setItem(i, item);
        }


        let item = player.getComponent("inventory").container.getItem(player.selectedSlotIndex);
        if (item) {
            let lore = item.getLore()
            if(item.getLore()[0].split("\n")[0].includes("Righty")){
                player.runCommand(`event entity @s gun_mode:default`);
            }
            if(item.getLore()[0].split("\n")[0].includes("Lefty")){
                player.runCommand(`event entity @s gun_mode:lefty`);
            }
            if(item.getLore()[0].split("\n")[0].includes("Skin 0")){
                player.runCommand(`event entity @s skin_0`);
            }
            if(item.getLore()[0].split("\n")[0].includes("Skin 1")){
                player.runCommand(`event entity @s skin_1`);
            }
            if(item.getLore()[0].split("\n")[0].includes("Skin 2")){
                player.runCommand(`event entity @s skin_2`);
            }
            if(item.getLore()[0].split("\n")[0].includes("Skin 3")){
                player.runCommand(`event entity @s skin_3`);
            }
            if(item.getLore()[0].split("\n")[0].includes("Skin 5")){
                player.runCommand(`event entity @s skin_5`);
            }
            if(item.getLore()[0].split("\n")[0].includes("Skin 4")){
                player.runCommand(`event entity @s skin_4`);
            }
            if(item.getLore()[0].split("\n")[0].includes("Skin 6")){
                player.runCommand(`event entity @s skin_6`);
            }
            if(item.getLore()[0].split("\n")[0].includes("Skin 7")){
                player.runCommand(`event entity @s skin_7`);
            }
            if(item.getLore()[0].split("\n")[0].includes("Skin 8")){
                player.runCommand(`event entity @s skin_8`);
            }
            if(item.getLore()[0].split("\n")[0].includes("Skin 9")){
                player.runCommand(`event entity @s skin_9`);
            }
            if(item.getLore()[0].split("\n")[0].includes("Skin 10")){
                player.runCommand(`event entity @s skin_10`);
            }
            if(item.getLore()[0].split("\n")[0].includes("Skin 11")){
                player.runCommand(`event entity @s skin_11`);
            }
            if(item.getLore()[0].split("\n")[0].includes("Skin 12")){
                player.runCommand(`event entity @s skin_12`);
            }
            if(item.getLore()[0].split("\n")[0].includes("Skin 13")){
                player.runCommand(`event entity @s skin_13`);
            }
            if(item.getLore()[0].split("\n")[0].includes("Skin 14")){
                player.runCommand(`event entity @s skin_14`);
            }
            if(item.getLore()[0].split("\n")[0].includes("Skin 15")){
                player.runCommand(`event entity @s skin_15`);
            }
            if(item.getLore()[0].split("\n")[0].includes("Skin 17")){
                player.runCommand(`event entity @s skin_17`);
            }
            if(item.getLore()[0].split("\n")[0].includes("Skin 16")){
                player.runCommand(`event entity @s skin_16`);
            }
            if(item.getLore()[0].split("\n")[0].includes("Skin 18")){
                player.runCommand(`event entity @s skin_18`);
            }
            if(item.getLore()[0].split("\n")[0].includes("Skin 19")){
                player.runCommand(`event entity @s skin_19`);
            }
            if(item.getLore()[0].split("\n")[0].includes("Skin 20")){
                player.runCommand(`event entity @s skin_20`);
            }
            if(item.getLore()[0].split("\n")[0].includes("Skin 21")){
                player.runCommand(`event entity @s skin_21`);
            }
            if(item.getLore()[0].split("\n")[0].includes("Skin 22")){
                player.runCommand(`event entity @s skin_22`);
            }
            if(item.getLore()[0].split("\n")[0].includes("Skin 23")){
                player.runCommand(`event entity @s skin_23`);
            }
            if(item.getLore()[0].split("\n")[0].includes("Skin 24")){
                player.runCommand(`event entity @s skin_24`);
            }
            if(item.getLore()[0].split("\n")[0].includes("Skin 25")){
                player.runCommand(`event entity @s skin_25`);
            }
            if(item.getLore()[0].split("\n")[0].includes("Skin 26")){
                player.runCommand(`event entity @s skin_26`);
            }
            if(item.getLore()[0].split("\n")[0].includes("Skin 27")){
                player.runCommand(`event entity @s skin_27`);
            }
            if(item.getLore()[0].split("\n")[0].includes("Skin 28")){
                player.runCommand(`event entity @s skin_28`);
            }
            if(item.getLore()[0].split("\n")[0].includes("Skin 29")){
                player.runCommand(`event entity @s skin_29`);
            }
            if(item.getLore()[0].split("\n")[0].includes("Skin 31")){
                player.runCommand(`event entity @s skin_31`);
            }
            if(item.getLore()[0].split("\n")[0].includes("Skin 32")){
                player.runCommand(`event entity @s skin_32`);
            }
            if(item.getLore()[0].split("\n")[0].includes("Skin 33")){
                player.runCommand(`event entity @s skin_33`);
            }
            if(item.getLore()[0].split("\n")[0].includes("Skin 34")){
                player.runCommand(`event entity @s skin_34`);
            }
            if(item.getLore()[0].split("\n")[0].includes("Skin 35")){
                player.runCommand(`event entity @s skin_35`);
            }
            if(item.getLore()[0].split("\n")[0].includes("Skin 36")){
                player.runCommand(`event entity @s skin_36`);
            }
            if(item.getLore()[0].split("\n")[0].includes("Skin 30")){
                player.runCommand(`event entity @s skin_30`);
            }
        }
        
        if (player.hasTag("station_buy")) {
            pageMain(player)
            player.removeTag("station_buy");
        }
        if (player.hasTag("golden_bingo")) {
            player.runCommand(`tellraw @s {"rawtext":[{"text": "§a+200 Mileage awarded"}]}`);
            player.runCommand(`tellraw @s {"rawtext":[{"text": "§b+10 Bingo Cards awarded"}]}`);
            player.runCommand(`tellraw @a {"rawtext":[{"text": "§c${player.name} has just won the §eGolden Briefcase §4and is at: §l§4${Math.round(player.location.x)}, ${Math.round(player.location.y)}, ${Math.round(player.location.z)}"}]}`);
            player.runCommand(`tellraw @s {"rawtext":[{"text": "§7§oNow, hide!"}]}`);
            player.removeTag("golden_bingo");
        }

        let playerHealt = player.getComponent("minecraft:health").currentValue;
        let isDeath = player.hasTag("living_death_perk");
        if(playerHealt === 0 && isDeath == true) {
            player.addTag("living_death_add");
            player.runCommand(`summon grenade:m67_entity`);
            player.runCommand(`summon grenade:m67_entity`);
            player.removeTag("living_death_perk");
        } else if(playerHealt > 0) {
            player.runCommand(`tag @s[tag=living_death_add] add living_death_perk`);
            player.removeTag("living_death_add");
        }

        let isDeath2 = player.hasTag("death_note_perk");
        if(playerHealt === 0 && isDeath2 == true) {
            player.addTag("death_note_add");
            player.runCommand(`tellraw @s{"rawtext":[{"text": "§4Death Note §o§7${Math.round(player.location.x)}, ${Math.round(player.location.y)}, ${Math.round(player.location.z)}"}]}`);
            player.removeTag("death_note_perk");
        } else if(playerHealt > 0) {
            player.runCommand(`tag @s[tag=death_note_add] add death_note_perk`);
            player.removeTag("death_note_add");
        }

            let isPick = player.hasTag("alert_pick");
            if(isPick == true) {
                player.removeTag("alert_pick");
                player.runCommand(`tellraw @a[r=100,tag=alert_perk]{"rawtext":[{"text": "§c${player.name} §fis at: §7${Math.round(player.location.x)}, ${Math.round(player.location.y)}, ${Math.round(player.location.z)}"}]}`);
            }
    }
};
system.runInterval(onTick, 1);
system.runInterval(pageLD, 1);
system.runInterval(pageRifles, 1);
system.runInterval(pageSnipers, 1);
system.runInterval(pageLD_not, 1);
system.runInterval(pageLD_active, 1);

class loreItem {
    constructor(itemId, lore) {
        this.itemId = itemId;
        this.lore = lore;
    }
}



const ItemArray = [
    new loreItem("gun:stg", ["§r§9Grade: §aAdvanced\n§r§9Restriction: §fN §bC"]),

    new loreItem("azoz:adrenaline", ["§r§9Grade: §7Common"]),
    new loreItem("cso:mileage_box_spawn_egg", ["§r§9Grade: §7Common"]),
    new loreItem("matt:jetpack_spawn_egg", ["§r§9Grade: §7Common"]),
    new loreItem("azoz:bat_spawn_egg", ["§r§9Grade: §7Common"]),
    new loreItem("enderface:zombie_cso_spawn_egg", ["§r§9Grade: §7Common"]),
    new loreItem("enderface:destroyer_spawn_egg", ["§r§9Grade: §7Common"]),
    new loreItem("enderface:grey_destroyer_spawn_egg", ["§r§9Grade: §7Common"]),
    new loreItem("agbullet:bump_spawn_egg", ["§r§9Grade: §7Common"]),
    new loreItem("loot:box_spawn_egg", ["§r§9Grade: §7Common"]),
    new loreItem("statue:portal_spawn_egg", ["§r§9Grade: §5Epic"]),
    new loreItem("statue:hellhound_spawn_egg", ["§r§9Grade: §eTranscendent"]),
    new loreItem("statue:portal2_spawn_egg", ["§r§9Grade: §5Epic"]),
    new loreItem("nogard:truck_spawn_egg", ["§r§9Grade: §7Common"]),
    new loreItem("cso:jiangshi_spawn_egg", ["§r§9Grade: §7Common"]),
    new loreItem("cso:jiangshi2_spawn_egg", ["§r§9Grade: §7Common"]),
    new loreItem("pet:ghost_spawn_egg", ["§r§9Grade: §7Common"]),
    new loreItem("azoz:zombie_cso_host_spawn_egg", ["§r§9Grade: §7Common"]),
    new loreItem("azoz:heal", ["§r§9Grade: §7Common"]),
    new loreItem("statue:table_spawn_egg", ["§r§9Grade: §aAdvanced"]),
    new loreItem("matt:landmine_spawn_egg", ["§r§9Grade: §4Unique"]),
    new loreItem("agbullet:claymore2_spawn_egg", ["§r§9Grade: §4Unique"]),
    new loreItem("alex:water_element_spawn_egg", ["§r§9Grade: §4Unique"]),
    new loreItem("azoz:jingy", ["§r§9Grade: §bRare"]),
    new loreItem("azoz:defuse", ["§r§9Grade: §7Common"]),
    new loreItem("azoz:grapplehook", ["§r§9Grade: §aAdvanced"]),
     new loreItem("design:laptop", ["§r§9Grade: §aAdvanced"]),
    new loreItem("azoz:adrenaline2", ["§r§9Grade: §4Unique"]),
    new loreItem("azoz:station", ["§r§9Grade: §4Unique"]),
    new loreItem("decoder:rare", [""]),
    new loreItem("decoder:advanced", [""]),
    new loreItem("decoder:common", [""]),
    new loreItem("decoder:epic", [""]),
    new loreItem("decoder:unique", [""]),
    new loreItem("decoder:event", [""]),
    new loreItem("contract:briefcase", [""]),
    new loreItem("contract:briefcase_gold", [""]),

    //Wearable
    new loreItem("azoz:vest", ["§r§9Grade: §7Common"]),
    new loreItem("azoz:par", ["§r§9Grade: §7Common"]),
    new loreItem("azoz:night", ["§r§9Grade: §7Common"]),
    new loreItem("azoz:gas", ["§r§9Grade: §7Common"]),
    new loreItem("azoz:shoes", ["§r§9Grade: §7Common"]),
    new loreItem("azoz:mask", ["§r§9Grade: §7Common"]),
    new loreItem("azoz:jiangshi_hat", ["§r§9Grade: §7Common"]),

    //Classic
        new loreItem("gun:usps", ["§r§9Grade: §7Common\n§r§9Restriction: §bClassic"]),
        new loreItem("gun:ak47", ["§r§9Grade: §7Common\n§r§9Restriction: §bClassic"]),
        new loreItem("gun:aug", ["§r§9Grade: §7Common\n§r§9Restriction: §bClassic"]),
        new loreItem("gun:famas", ["§r§9Grade: §7Common\n§r§9Restriction: §bClassic"]),
        new loreItem("gun:galil", ["§r§9Grade: §7Common\n§r§9Restriction: §bClassic"]),
        new loreItem("gun:m4a1", ["§r§9Grade: §7Common\n§r§9Restriction: §bClassic"]),
        new loreItem("gun:m4a1s", ["§r§9Grade: §7Common\n§r§9Restriction: §bClassic"]),
        new loreItem("gun:sg552", ["§r§9Grade: §7Common\n§r§9Restriction: §bClassic"]),
        new loreItem("gun:mac", ["§r§9Grade: §7Common\n§r§9Restriction: §bClassic"]),
        new loreItem("gun:mp5", ["§r§9Grade: §7Common\n§r§9Restriction: §bClassic"]),
        new loreItem("gun:tmp", ["§r§9Grade: §7Common\n§r§9Restriction: §bClassic"]),
        new loreItem("gun:p90", ["§r§9Grade: §7Common\n§r§9Restriction: §bClassic"]),
        new loreItem("gun:ump45", ["§r§9Grade: §7Common\n§r§9Restriction: §bClassic"]),
        new loreItem("gun:xm1014", ["§r§9Grade: §7Common\n§r§9Restriction: §bClassic"]),
        new loreItem("gun:m3", ["§r§9Grade: §7Common\n§r§9Restriction: §bClassic"]),
        new loreItem("gun:usp", ["§r§9Grade: §7Common\n§r§9Restriction: §bClassic"]),
        new loreItem("gun:p228", ["§r§9Grade: §7Common\n§r§9Restriction: §bClassic"]),
        new loreItem("gun:m249", ["§r§9Grade: §7Common\n§r§9Restriction: §bClassic"]),
        new loreItem("gun:deagle", ["§r§9Grade: §7Common\n§r§9Restriction: §bClassic"]),
        new loreItem("gun:fiveseven", ["§r§9Grade: §7Common\n§r§9Restriction: §bClassic"]),
        new loreItem("gun:beretta", ["§r§9Grade: §7Common\n§r§9Restriction: §bClassic"]),
        new loreItem("gun:scout", ["§r§9Grade: §7Common\n§r§9Restriction: §bClassic"]),
        new loreItem("gun:g3sg1", ["§r§9Grade: §7Common\n§r§9Restriction: §bClassic"]),
        new loreItem("gun:awp", ["§r§9Grade: §7Common\n§r§9Restriction: §bClassic"]),
        new loreItem("gun:sg550", ["§r§9Grade: §7Common\n§r§9Restriction: §bClassic"]),
        new loreItem("melee:seal", ["§r§9Grade: §7Common\n§r§9Restriction: §bClassic"]),
        new loreItem("melee:cold_steel", ["§r§9Grade: §7Common\n§r§9Restriction: §bClassic"]),
        new loreItem("grenade:explosive", ["§r§9Grade: §7Common\n§r§9Restriction: §bClassic"]),
        new loreItem("grenade:flashbang", ["§r§9Grade: §7Common\n§r§9Restriction: §bClassic"]),
        new loreItem("grenade:smoke", ["§r§9Grade: §7Common\n§r§9Restriction: §bClassic"]),
        new loreItem("gun:glock", ["§r§9Grade: §7Common\n§r§9Restriction: §bClassic"]),
        new loreItem("weapon:c4", ["§r§9Grade: §7Common\n§r§9Restriction: §bClassic"]),


    //DLC
        new loreItem("token:dlc", ["§r§bUsed to craft DLC weapons.\n§r§9Restriction: §eDLC"]),
        new loreItem("gun:ak47_old", ["§r§9Restriction: §eDLC"]),
        new loreItem("gun:ak12_old", ["§r§9Restriction: §eDLC"]),
        new loreItem("gun:ak74u_old", ["§r§9Restriction: §eDLC"]),
        new loreItem("gun:arx_old", ["§r§9Restriction: §eDLC"]),
        new loreItem("gun:scarh_old", ["§r§9Restriction: §eDLC"]),
        new loreItem("gun:scarl_old", ["§r§9Restriction: §eDLC"]),
        new loreItem("gun:glock_old", ["§r§9Restriction: §eDLC"]),
        new loreItem("gun:deagle_old", ["§r§9Restriction: §eDLC"]),
        new loreItem("gun:mp7_old", ["§r§9Restriction: §eDLC"]),
        new loreItem("gun:p90_old", ["§r§9Restriction: §eDLC"]),
        new loreItem("gun:bizon_old", ["§r§9Restriction: §eDLC"]),
        new loreItem("gun:tempest_old", ["§r§9Restriction: §eDLC"]),
        new loreItem("gun:acr", ["§r§9Restriction: §eDLC"]),
        new loreItem("gun:mk16", ["§r§9Restriction: §eDLC"]),
        new loreItem("gun:acrs", ["§r§9Restriction: §eDLC"]),
        new loreItem("gun:awm", ["§r§9Restriction: §eDLC"]),
        new loreItem("gun:lr300", ["§r§9Restriction: §eDLC"]),
        new loreItem("gun:evo", ["§r§9Restriction: §eDLC"]),
        new loreItem("gun:skorpion", ["§r§9Restriction: §eDLC"]),
        new loreItem("gun:k7", ["§r§9Restriction: §eDLC"]),
        new loreItem("gun:ppsh", ["§r§9Restriction: §eDLC"]),
        new loreItem("gun:scout_pistol", ["§r§9Restriction: §eDLC"]),
        new loreItem("gun:forceanature", ["§r§9Restriction: §eDLC"]),
        new loreItem("gun:widowmaker", ["§r§9Restriction: §eDLC"]),
        new loreItem("gun:desert_rifle", ["§r§9Restriction: §eDLC"]),
        new loreItem("gun:magnum_pistol", ["§r§9Restriction: §eDLC"]),
        new loreItem("gun:p220", ["§r§9Restriction: §eDLC"]),
        new loreItem("gun:silenced_smg", ["§r§9Restriction: §eDLC"]),
        new loreItem("azoz:pills", ["§r§9Restriction: §eDLC"]),
        new loreItem("grenade:pipe_bomb", ["§r§9Restriction: §eDLC"]),
        new loreItem("melee:nightstick", ["§r§9Restriction: §eDLC"]),
        new loreItem("melee:guitar", ["§r§9Restriction: §eDLC"]),
        new loreItem("melee:balisong_old", ["§r§9Restriction: §eDLC"]),
        new loreItem("gun:ak47hq", ["§r§9Restriction: §eDLC"]),
        new loreItem("gun:ak60hq", ["§r§9Restriction: §eDLC"]),
        new loreItem("gun:akmhq", ["§r§9Restriction: §eDLC"]),
        new loreItem("gun:ak47rhq", ["§r§9Restriction: §eDLC"]),
        new loreItem("gun:awphq", ["§r§9Restriction: §eDLC"]),
        new loreItem("gun:awprhq", ["§r§9Restriction: §eDLC"]),
        new loreItem("melee:flip", ["§r§9Restriction: §eDLC"]),
        new loreItem("melee:karambithq", ["§r§9Restriction: §eDLC"]),
        new loreItem("gun:deaglehq", ["§r§9Restriction: §eDLC"]),
        new loreItem("gun:deagleghq", ["§r§9Restriction: §eDLC"]),
        new loreItem("gun:deaglecsogshq", ["§r§9Restriction: §eDLC"]),
        new loreItem("gun:deaglerhq", ["§r§9Restriction: §eDLC"]),
        new loreItem("gun:mr6", ["§r§9Restriction: §eDLC"]),
        new loreItem("melee:natahq", ["Skin 0\n§r§9Restriction: §eDLC"]),
        new loreItem("melee:m9hq", ["Skin 0\n§r§9Restriction: §eDLC"]),
        new loreItem("melee:sealhq", ["Righty\n§r§9Restriction: §eDLC"]),
        new loreItem("melee:wrench", ["§r§9Restriction: §eDLC"]),
        new loreItem("melee:matt_seal", ["§r§9Restriction: §eDLC"]),
        new loreItem("gun:m4a1hq", ["§r§9Restriction: §eDLC"]),
        new loreItem("gun:m4a1shq", ["§r§9Restriction: §eDLC"]),
        new loreItem("gun:m16a1hq", ["§r§9Restriction: §eDLC"]),
        new loreItem("gun:automaghq", ["§r§9Restriction: §eDLC"]),
        new loreItem("gun:infinityhq", ["§r§9Restriction: §eDLC"]),
        new loreItem("gun:infinityblackhq", ["§r§9Restriction: §eDLC"]),
        new loreItem("gun:infinityredhq", ["§r§9Restriction: §eDLC"]),
        new loreItem("melee:matt_kukri", ["§r§9Restriction: §eDLC"]),
        new loreItem("melee:matt_butterfly", ["§r§9Restriction: §eDLC"]),
    //New Classic
        new loreItem("melee:combat", ["§r§9Grade: §aAdvanced\n§r§9Restriction: §fN §bC"]),
        new loreItem("melee:balisong", ["§r§9Grade: §7Common\n§r§9Restriction: §fN §bC"]),
        new loreItem("melee:karambit", ["§r§9Grade: §7Common\n§r§9Restriction: §fN §bC"]),
        new loreItem("melee:bat", ["§r§9Grade: §7Common\n§r§9Restriction: §fN §bC"]),
        new loreItem("grenade:dao", ["§r§9Grade: §7Common\n§r§9Restriction: §fN §bC"]),
        new loreItem("grenade:decoy", ["§r§9Grade: §7Common\n§r§9Restriction: §fN §bC"]),
        new loreItem("grenade:cola", ["§r§9Grade: §7Common\n§r§9Restriction: §fN §bC"]),
        new loreItem("grenade:snapper", ["§r§9Grade: §7Common\n§r§9Restriction: §fN §bC"]),
        new loreItem("melee:ursus", ["§r§9Grade: §7Common\n§r§9Restriction: §fN §bC"]),
        new loreItem("melee:brass", ["§r§9Grade: §7Common\n§r§9Restriction: §fN §bC"]),
        new loreItem("gun:m4a1", ["§r§9Grade:  §aAdvanced\n§r§9Restriction: §fN §bC"]),
        new loreItem("gun:m4a1s", ["§r§9Grade:  §aAdvanced\n§r§9Restriction: §fN §bC"]),
        new loreItem("melee:dragon", ["§r§9Grade: §aAdvanced\n§r§9Restriction: §fN §bC"]),
        new loreItem("melee:huntsman", ["§r§9Grade: §aAdvanced\n§r§9Restriction: §fN §bC"]),
        new loreItem("melee:katana", ["§r§9Grade: §aAdvanced\n§r§9Restriction: §fN §bC"]),
        new loreItem("melee:tactical", ["§r§9Grade: §aAdvanced\n§r§9Restriction: §fN §bC"]),
        new loreItem("melee:kukri", ["§r§9Grade: §aAdvanced\n§r§9Restriction: §fN §bC"]),
        new loreItem("melee:bowie", ["§r§9Grade: §7Common\n§r§9Restriction: §fN §bC"]),
        new loreItem("melee:m9", ["§r§9Grade: §7Common\n§r§9Restriction: §fN §bC"]),
        new loreItem("melee:nomad", ["§r§9Grade: §7Common\n§r§9Restriction: §fN §bC"]),
        new loreItem("melee:machete", ["§r§9Grade: §aAdvanced\n§r§9Restriction: §fN §bC"]),
        new loreItem("melee:heavy", ["§r§9Grade: §aAdvanced\n§r§9Restriction: §fN §bC"]),
        new loreItem("melee:crowbar", ["§r§9Grade: §aAdvanced\n§r§9Restriction: §fN §bC"]),
        new loreItem("melee:skeleton", ["§r§9Grade: §aAdvanced\n§r§9Restriction: §fN §bC"]),
        new loreItem("melee:tomahawk", ["§r§9Grade: §4Unique\n§r§9Restriction: §fN §bC"]),
        new loreItem("gun:ak47r", ["§r§9Grade: §4Unique\n§r§9Restriction: §fN §bC"]),
        new loreItem("gun:glockr", ["§r§9Grade: §4Unique\n§r§9Restriction: §fN §bC"]),
        new loreItem("gun:awpr", ["§r§9Grade: §4Unique\n§r§9Restriction: §fN §bC"]),
        new loreItem("gun:sl8g", ["§r§9Grade: §4Unique\n§r§9Restriction: §fN §bC"]),
        new loreItem("gun:sl8ex", ["§r§9Grade: §4Unique\n§r§9Restriction: §fN §bC"]),
        new loreItem("gun:scoutr", ["§r§9Grade: §4Unique\n§r§9Restriction: §fN §bC"]),
        new loreItem("gun:m200", ["§r§9Grade: §4Unique\n§r§9Restriction: §fN §bC"]),
        new loreItem("gun:sl8csogs", ["§r§9Grade: §bRare\n§r§9Restriction: §fN §bC"]),
        new loreItem("gun:psg", ["§r§9Grade: §bRare\n§r§9Restriction: §fN §bC"]),
        new loreItem("gun:powerfalcon", ["§r§9Grade: §4Unique\n§r§9Restriction: §fN §bC"]),
        new loreItem("gun:blaser", ["§r§9Grade: §aAdvanced\n§r§9Restriction: §fN §bC"]),
        new loreItem("gun:db", ["§r§9Grade: §aAdvanced\n§r§9Restriction: §fN §bC"]),
        new loreItem("gun:m1897", ["§r§9Grade: §aAdvanced\n§r§9Restriction: §fN §bC"]),
        new loreItem("gun:spas", ["§r§9Grade: §aAdvanced\n§r§9Restriction: §fN §bC"]),
        new loreItem("gun:winchester", ["§r§9Grade: §aAdvanced\n§r§9Restriction: §fN §bC"]),
        new loreItem("gun:striker", ["§r§9Grade: §7Common\n§r§9Restriction: §fN §bC"]),
        new loreItem("gun:xm1014r", ["§r§9Grade: §4Unique\n§r§9Restriction: §fN §bC"]),
        new loreItem("gun:usas12", ["§r§9Grade: §7Common\n§r§9Restriction: §fN §bC"]),
        new loreItem("gun:k1a", ["§r§9Grade: §7Common\n§r§9Restriction: §fN §bC"]),
        new loreItem("gun:mp40", ["§r§9Grade: §aAdvanced\n§r§9Restriction: §fN §bC"]),
        new loreItem("gun:bizon", ["§r§9Grade: §aAdvanced\n§r§9Restriction: §fN §bC"]),
        new loreItem("gun:sr3m", ["§r§9Grade: §bRare\n§r§9Restriction: §fN §bC"]),
        new loreItem("gun:thompson", ["§r§9Grade: §aAdvanced\n§r§9Restriction: §fN §bC"]),
        new loreItem("gun:uzi", ["§r§9Grade: §aAdvanced\n§r§9Restriction: §fN §bC"]),
        new loreItem("gun:kriss", ["§r§9Grade: §aAdvanced\n§r§9Restriction: §fN §bC"]),
        new loreItem("gun:kriss_dual", ["§r§9Grade: §aAdvanced\n§r§9Restriction: §fN §bC"]),
        new loreItem("gun:krisss", ["§r§9Grade: §aAdvanced\n§r§9Restriction: §fN §bC"]),
        new loreItem("gun:mp5b", ["§r§9Grade: §7Common\n§r§9Restriction: §fN §bC"]),
        new loreItem("gun:mp7a1", ["§r§9Grade: §7Common\n§r§9Restriction: §fN §bC"]),
        new loreItem("gun:mp7a1s", ["§r§9Grade: §7Common\n§r§9Restriction: §fN §bC"]),
        new loreItem("gun:scarpdw", ["§r§9Grade: §4Unique\n§r§9Restriction: §fN §bC"]),
        new loreItem("gun:sb", ["§r§9Grade: §4Unique\n§r§9Restriction: §fN §bC"]),
        new loreItem("gun:tempest", ["§r§9Grade: §4Unique\n§r§9Restriction: §fN §bC"]),
        new loreItem("gun:jackhammer", ["§r§9Grade: §aAdvanced\n§r§9Restriction: §fN §bC"]),
        new loreItem("gun:ksg", ["§r§9Grade: §aAdvanced\n§r§9Restriction: §fN §bC"]),
        new loreItem("gun:ksgg", ["§r§9Grade: §4Unique\n§r§9Restriction: §fN §bC"]),
        new loreItem("gun:trg", ["§r§9Grade: §aAdvanced\n§r§9Restriction: §fN §bC"]),
        new loreItem("gun:xm2010", ["§r§9Grade: §aAdvanced\n§r§9Restriction: §fN §bC"]),
        new loreItem("gun:sl8", ["§r§9Grade: §aAdvanced\n§r§9Restriction: §fN §bC"]),
        new loreItem("gun:mosin", ["§r§9Grade: §aAdvanced\n§r§9Restriction: §fN §bC"]),
        new loreItem("gun:svd", ["§r§9Grade: §7Common\n§r§9Restriction: §fN §bC"]),
        new loreItem("gun:m95", ["§r§9Grade: §aAdvanced\n§r§9Restriction: §fN §bC"]),
        new loreItem("gun:m107", ["§r§9Grade: §7Common\n§r§9Restriction: §fN §bC"]),
         new loreItem("gun:automag", ["§r§9Grade: §7Common\n§r§9Restriction: §fN §bC"]),
         new loreItem("gun:anaconda", ["§r§9Grade: §aAdvanced\n§r§9Restriction: §fN §bC"]),
         new loreItem("gun:mg42", ["§r§9Grade: §aAdvanced\n§r§9Restriction: §fN §bC"]),
        new loreItem("gun:glockb", ["§r§9Grade: §7Common\n§r§9Restriction: §fN §bC"]),
        new loreItem("gun:deaglecsogs", ["§r§9Grade: §bRare\n§r§9Restriction: §fN §bC"]),
        new loreItem("gun:deagleg", ["§r§9Grade: §4Unique\n§r§9Restriction: §fN §bC"]),
        new loreItem("gun:deagler", ["§r§9Grade: §4Unique\n§r§9Restriction: §fN §bC"]),
        new loreItem("gun:maximg", ["§r§9Grade: §4Unique\n§r§9Restriction: §fN §bC"]),
        new loreItem("gun:kcg", ["§r§9Grade: §4Unique\n§r§9Restriction: §fN §bC"]),
        new loreItem("gun:m79", ["§r§9Grade: §aAdvanced\n§r§9Restriction: §fN §bC"]),
        new loreItem("gun:mauser", ["§r§9Grade: §aAdvanced\n§r§9Restriction: §fN §bC"]),
        new loreItem("gun:mk23s", ["§r§9Grade: §aAdvanced\n§r§9Restriction: §fN §bC"]),
        new loreItem("gun:mk23", ["§r§9Grade: §aAdvanced\n§r§9Restriction: §fN §bC"]),
        new loreItem("gun:p99", ["§r§9Grade: §bRare\n§r§9Restriction: §fN §bC"]),
        new loreItem("gun:hecate", ["§r§9Grade: §aAdvanced\n§r§9Restriction: §fN §bC"]),
        new loreItem("gun:makarov", ["§r§9Grade: §aAdvanced\n§r§9Restriction: §fN §bC"]),
        new loreItem("gun:maxim", ["§r§9Grade: §7Common\n§r§9Restriction: §fN §bC"]),
        new loreItem("gun:makarovs", ["§r§9Grade: §aAdvanced\n§r§9Restriction: §fN §bC"]),
        new loreItem("gun:m79g", ["§r§9Grade: §4Unique\n§r§9Restriction: §fN §bC"]),
        new loreItem("gun:luger", ["§r§9Grade: §7Common\n§r§9Restriction: §fN §bC"]),
        new loreItem("gun:m1911", ["§r§9Grade: §aAdvanced\n§r§9Restriction: §fN §bC"]),
        new loreItem("gun:kc", ["§r§9Grade: §aAdvanced\n§r§9Restriction: §fN §bC"]),
        new loreItem("gun:uspb", ["§r§9Grade: §7Common\n§r§9Restriction: §fN §bC"]),
        new loreItem("gun:uspbs", ["§r§9Grade: §7Common\n§r§9Restriction: §fN §bC"]),
        new loreItem("gun:r8", ["§r§9Grade: §7Common\n§r§9Restriction: §fN §bC"]),
        new loreItem("gun:infinity", ["§r§9Grade: §7Common\n§r§9Restriction: §fN §bC"]),
        new loreItem("gun:infinityred", ["§r§9Grade: §7Common\n§r§9Restriction: §fN §bC"]),
        new loreItem("gun:infinityblack", ["§r§9Grade: §7Common\n§r§9Restriction: §fN §bC"]),
        new loreItem("gun:dual_infinity", ["§r§9Grade: §aAdvanced\n§r§9Restriction: §fN §bC"]),
        new loreItem("gun:dual_infinity_final", ["§r§9Grade: §aAdvanced\n§r§9Restriction: §fN §bC"]),
        new loreItem("gun:dual_infinityex", ["§r§9Grade: §aAdvanced\n§r§9Restriction: §fN §bC"]),
        new loreItem("gun:xd", ["§r§9Grade: §bRare\n§r§9Restriction: §fN §bC"]),
        new loreItem("gun:welrod", ["§r§9Grade: §7Common\n§r§9Restriction: §fN §bC"]),
        new loreItem("gun:deaglebmg", ["§r§9Restriction: §gDeveloper"]),
        new loreItem("gun:ak74u", ["§r§9Grade: §aAdvanced\n§r§9Restriction: §fN §bC"]),
        new loreItem("gun:akm", ["§r§9Grade: §7Common\n§r§9Restriction: §fN §bC"]),
        new loreItem("gun:an94", ["§r§9Grade: §7Common\n§r§9Restriction: §fN §bC"]),
        new loreItem("gun:arx", ["§r§9Grade: §aAdvanced\n§r§9Restriction: §fN §bC"]),
        new loreItem("gun:val", ["§r§9Grade: §aAdvanced\n§r§9Restriction: §fN §bC"]),
        new loreItem("gun:browning", ["§r§9Grade: §aAdvanced\n§r§9Restriction: §fN §bC"]),
        new loreItem("gun:f2000", ["§r§9Grade: §4Unique\n§r§9Restriction: §fN §bC"]),
        new loreItem("gun:fnc", ["§r§9Grade: §aAdvanced\n§r§9Restriction: §fN §bC"]),
        new loreItem("gun:g11", ["§r§9Grade: §aAdvanced\n§r§9Restriction: §fN §bC"]),
        new loreItem("gun:garand", ["§r§9Grade: §aAdvanced\n§r§9Restriction: §fN §bC"]),
        new loreItem("gun:groza", ["§r§9Grade: §aAdvanced\n§r§9Restriction: §fN §bC"]),
        new loreItem("gun:hk416", ["§r§9Grade: §aAdvanced\n§r§9Restriction: §fN §bC"]),
        new loreItem("gun:hk416s", ["§r§9Grade: §aAdvanced\n§r§9Restriction: §fN §bC"]),
        new loreItem("gun:honeybadger", ["§r§9Grade: §bRare\n§r§9Restriction: §fN §bC"]),
        new loreItem("gun:m14", ["§r§9Grade: §7Common\n§r§9Restriction: §fN §bC"]),
        new loreItem("gun:m16a1", ["§r§9Grade: §7Common\n§r§9Restriction: §fN §bC"]),
        new loreItem("gun:m16a4", ["§r§9Grade: §aAdvanced\n§r§9Restriction: §fN §bC"]),
        new loreItem("gun:ultimax", ["§r§9Grade: §aAdvanced\n§r§9Restriction: §fN §bC"]),
        new loreItem("gun:negev", ["§r§9Grade: §aAdvanced\n§r§9Restriction: §fN §bC"]),
        new loreItem("gun:cqb", ["§r§9Grade: §bRare\n§r§9Restriction: §fN §bC"]),
        new loreItem("gun:mk18", ["§r§9Grade: §aAdvanced\n§r§9Restriction: §fN §bC"]),
        new loreItem("gun:scarh", ["§r§9Grade: §7Common\n§r§9Restriction: §fN §bC"]),
        new loreItem("gun:scarl", ["§r§9Grade: §7Common\n§r§9Restriction: §fN §bC"]),
        new loreItem("gun:tar", ["§r§9Grade: §aAdvanced\n§r§9Restriction: §fN §bC"]),
        new loreItem("gun:rpg", ["§r§9Grade: §aAdvanced\n§r§9Restriction: §fN §bC"]),
        new loreItem("gun:mgl", ["§r§9Grade: §aAdvanced\n§r§9Restriction: §fN §bC"]),
        new loreItem("grenade:birthday", ["§r§9Grade: §7Common\n§r§9Restriction: §fN §bC"]), 
        new loreItem("grenade:m67", ["§r§9Grade: §7Common\n§r§9Restriction: §fN §bC"]), 
        new loreItem("grenade:firebomb", ["§r§9Grade: §7Common\n§r§9Restriction: §fN §bC"]), 
        new loreItem("grenade:ghost", ["§r§9Grade: §7Common\n§r§9Restriction: §fN §bC"]), 
        new loreItem("grenade:ice", ["§r§9Grade: §7Common\n§r§9Restriction: §fN §bC"]),
        new loreItem("grenade:love", ["§r§9Grade: §7Common\n§r§9Restriction: §fN §bC"]),
        new loreItem("grenade:m24", ["§r§9Grade: §7Common\n§r§9Restriction: §fN §bC"]),
        new loreItem("grenade:m24h", ["§r§9Grade: §7Common\n§r§9Restriction: §fN §bC"]),
        new loreItem("grenade:molotov", ["§r§9Grade: §7Common\n§r§9Restriction: §fN §bC"]),
        new loreItem("grenade:peace", ["§r§9Grade: §7Common\n§r§9Restriction: §fN §bC"]),
        new loreItem("grenade:pois", ["§r§9Grade: §7Common\n§r§9Restriction: §fN §bC"]),
        new loreItem("grenade:jackolantern", ["§r§9Grade: §7Common\n§r§9Restriction: §fN §bC"]),
        new loreItem("grenade:tear", ["§r§9Grade: §7Common\n§r§9Restriction: §fN §bC"]),
        new loreItem("grenade:water_balloon", ["§r§9Grade: §7Common\n§r§9Restriction: §fN §bC"]),

    //Nexon
    new loreItem("gun:ak60", ["§r§9Grade: §4Unique\n§r§9Restriction: §cNexon"]),
    new loreItem("melee:skull_axe", ["§r§9Grade: §bRare\n§r§9Restriction: §cNexon"]),
    new loreItem("melee:warhammer", ["§r§9Grade: §eTranscendent\n§r§9Restriction: §cNexon"]),
    new loreItem("melee:taser", ["§r§9Grade: §4Unique\n§r§9Restriction: §cNexon"]),
    new loreItem("melee:serpent", ["§r§9Grade: §4Unique\n§r§9Restriction: §cNexon"]),
    new loreItem("melee:nata", ["§r§9Grade: §7Common\n§r§9Restriction: §cNexon"]),
    new loreItem("gun:oicw", ["§r§9Grade: §4Unique\n§r§9Restriction: §cNexon"]),
    new loreItem("gun:brecci", ["§r§9Grade: §4Unique\n§r§9Restriction: §cNexon"]),
    new loreItem("gun:ethereal", ["§r§9Grade: §4Unique\n§r§9Restriction: §cNexon"]),
    new loreItem("gun:savery", ["§r§9Grade: §4Unique\n§r§9Restriction: §cNexon"]),
    new loreItem("gun:stun", ["§r§9Grade: §4Unique\n§r§9Restriction: §cNexon"]),
    new loreItem("melee:hammer", ["§r§9Grade: §7Common\n§r§9Restriction: §cNexon"]),
    new loreItem("gun:violin", ["§r§9Grade: §4Unique\n§r§9Restriction: §cNexon"]),
    new loreItem("melee:runebreaker", ["§r§9Grade: §eTranscendent\n§r§9Restriction: §cNexon"]),
    new loreItem("melee:runebreaker2", ["§r§9Grade: §eTranscendent\n§r§9Restriction: §cNexon"]),
    new loreItem("gun:cannon", ["§r§9Grade: §eTranscendent\n§r§9Restriction: §cNexon"]),
    new loreItem("weapon:bunker_buster", ["§r§9Grade: §4Unique\n§r§9Restriction: §cNexon"]),
    new loreItem("gun:cannon2", ["§r§9Grade: §eTranscendent\n§r§9Restriction: §cNexon"]),
    new loreItem("gun:mglv", ["§r§9Grade: §4Unique\n§r§9Restriction: §cNexon"]),
    new loreItem("weapon:ripper2", ["§r§9Grade: §5Epic\n§r§9Restriction: §cNexon"]),
    new loreItem("weapon:ripper", ["§r§9Grade: §eTranscendent\n§r§9Restriction: §cNexon"]),
    new loreItem("grenade:bat", ["§r§9Grade: §4Unique\n§r§9Restriction: §cNexon"]),
    new loreItem("grenade:electro", ["§r§9Grade: §4Unique\n§r§9Restriction: §cNexon"]),
    new loreItem("grenade:chain", ["§r§9Grade: §4Unique\n§r§9Restriction: §cNexon"]),
    new loreItem("grenade:tag", ["§r§9Grade: §4Unique\n§r§9Restriction: §cNexon"]),
    new loreItem("grenade:gravity", ["§r§9Grade: §4Unique\n§r§9Restriction: §cNexon"]),
    new loreItem("grenade:holy", ["§r§9Grade: §4Unique\n§r§9Restriction: §cNexon"]),
    new loreItem("grenade:coin", ["§r§9Grade: §eTranscendent\n§r§9Restriction: §cNexon"]),
    new loreItem("grenade:samsung", ["§r§9Grade: §eTranscendent\n§r§9Restriction: §cNexon"]),
    new loreItem("grenade:trin1", ["§r§9Grade: §eTranscendent\n§r§9Restriction: §cNexon"]),
    new loreItem("grenade:trin2", ["§r§9Grade: §eTranscendent\n§r§9Restriction: §cNexon"]),
    new loreItem("grenade:trin3", ["§r§9Grade: §eTranscendent\n§r§9Restriction: §cNexon"]),
    new loreItem("grenade:zombie", ["§r§9Grade: §bRare\n§r§9Restriction: §cNexon"]),
    new loreItem("grenade:zombie2", ["§r§9Grade: §bRare\n§r§9Restriction: §cNexon"]),
    new loreItem("grenade:thermite", ["§r§9Grade: §aAdvanced\n§r§9Restriction: §cNexon"]),
    new loreItem("gun:ak12", ["§r§9Grade: §4Unique\n§r§9Restriction: §cNexon"]),
    new loreItem("gun:destroyer", ["§r§9Grade: §4Unique\n§r§9Restriction: §cNexon"]),
    new loreItem("gun:gunslinger", ["§r§9Grade: §eTranscendent\n§r§9Restriction: §cNexon"]),
    new loreItem("gun:desperado1", ["§r§9Grade: §eTranscendent\n§r§9Restriction: §cNexon"]),
    new loreItem("gun:desperado2", ["§r§9Grade: §eTranscendent\n§r§9Restriction: §cNexon"]),
    new loreItem("gun:void", ["§r§9Grade: §5Epic\n§r§9Restriction: §cNexon"]),
    new loreItem("gun:void2", ["§r§9Grade: §5Epic\n§r§9Restriction: §cNexon"]),
    new loreItem("gun:ray", ["§r§9Grade: §aAdvanced\n§r§9Restriction: §cNexon"]),
    new loreItem("gun:salamander", ["§r§9Grade: §aAdvanced\n§r§9Restriction: §cNexon"]),
    new loreItem("gun:poison_launcher", ["§r§9Grade: §4Unique\n§r§9Restriction: §cNexon"]),
    new loreItem("gun:bubble", ["§r§9Grade: §aAdvanced\n§r§9Restriction: §cNexon"]),
    new loreItem("gun:deagle_dual", ["§r§9Grade: §4Unique\n§r§9Restriction: §cNexon"]),
    
];

//Unique Decoder drops
function pageDecoderUNIQUE(player) {
	let formDecoderUNIQUE = new ui.ActionFormData()
	formDecoderUNIQUE.title('§4Drop Rates')
	formDecoderUNIQUE.body('§cLandmine§f: §888.5%%\n§cClaymore§f: §892.5%%\n§cT.A.G§f: §810%%\n§cAK-12§f: §810.6%%\n§cOICW§f: §860%%\n§cStun Rifle§f: §860%%\n§cAK-47 Red Edition§f: §83.5%%\n§cDesert Eagle Red Edition§f: §85%%\n§cGlock Red Edition§f: §81%%\n§cXM1014 Red Edition§f: §81.3%%\n§cAK-47 60R§f: §80.1%%\n§cScout Red Edition§f: §80.1%%\n§cSL8 Gold Edition§f: §82.5%%\n§cSL8 Custom§f: §81.2%%\n§cSavery§f: §894%%\n§cPowerfalcon§f: §80.1%%\n§cM200§f: §80.1%%\n§cAWP Red Edition§f: §83.5%%\n§cTempest§f: §80.2%%\n§cSterling Bayonet§f: §80.8%%\n§cDual Desert Eagles§f: §80.1%%\n§cSCAR-PDW§f: §889%%\n§cBrecci§f: §8100%%\n§cKSG Gold Edition§f: §80.2%%\n§cMaxim-9 Gold Edition§f: §81.5%%\n§cM79 Gold Edition§f: §80.4%%\n§cKing Cobra Gold Edition§f: §85.4%%\n§cDesert Eagle Gold Edition§f: §84%%\n§cLightning AR-2§f: §85%%\n§cBunker Buster LTD§f: §835.3%%\n§cMGL Venom§f: §885.9%%\n§cBat Grenade§f: §880%%\n§cHoly Grenade§f: §881.4%%\n§cGravity Grenade§f: §880%%\n§cElectro Grenade§f: §8670%%\n§cChain Grenade§f: §80.3%%\n§cTomahawk§f: §810%%\n§cTaser Knife§f: §823%%\n§cSerpent Blade§f: §80.6%%\n§cF2000§f: §80.1%%\n\n§5Epic§f§l/§r§eTranscendent§f: §85%%')
    formDecoderUNIQUE.button('§4Exit', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 1) {
            pageGTFO(player)
        }
    })
}

//Common Decoder drops
function pageDecoderCommon(player) {
	let formDecoderCommon = new ui.ActionFormData()
	formDecoderCommon.title('§7Drop Rates')
	formDecoderCommon.body('§7Ghost Grenade§f: §80.2%%\n§7Cake Grenade§f: §80.5%%\n§7Dao Grenade§f: §80.5%%\n§7Water Balloon§f: §80.1%%\n§7Nata Knife§f: §85%%\n§7USAS-12§f: §81%%\n§7M14 EBR§f: §81%%\n§7Maxim-9§f: §81%%\n§7Truck§f: §85%%\n§7MP7A1§f: §84%%\n§7Jetpack§f: §81%%\n\n§7Else§f: §8100%%')
    formDecoderCommon.button('§4Exit', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formDecoderCommon.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 1) {
            pageGTFO(player)
        }
    })
}

//Advanced Decoder drops
function pageDecoderAdvanced(player) {
	let formDecoderAdvanced = new ui.ActionFormData()
	formDecoderAdvanced.title('§2Drop Rates')
	formDecoderAdvanced.body('§aSL8§f: §80.1%%\n§aDouble-Barreled Shotgun§f: §80.1%%\n§aPoison Launcher§f: §80.1%%\n§aSalamander§f: §80.1%%\n§aM4A1 Red Edition§f: §80.1%%\n§aDragon Knife§f: §80.1%%\n§aTactical Knife§f: §80.1%%\n§aAS Val§f: §82%%\n§aKriss Vector§f: §82%%\n§aDual Kriss Vector§f: §82%%\n§aHeavy Zombie Knife§f: §80.1%%\n§aKSG-12§f: §81.5%%\n§aKatana§f: §81%%\n§aHecate§f: §81%%\n§aKukri§f: §81%%\n§aCombat Knife§f: §83%%\n§aTRG-42§f: §85%%\n§aWinchester§f: §85%%\n§aThompson§f: §85%%\n§aMK-23 OHWS§f: §84%%\n§aMakarov§f: §84.5%%\n§aM95 Barrett§f: §85%%\n§aBlaser R93§f: §80.1%%\n§aXM2010§f: §82.5%%\n\n§aElse§f: §8100%%')
    formDecoderAdvanced.button('§4Exit', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formDecoderAdvanced.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 1) {
            pageGTFO(player)
        } 
    })
}

//Rare Decoder drops
function pageDecoderRare(player) {
	let formDecoderRare = new ui.ActionFormData()
	formDecoderRare.title('§9Drop Rates')
	formDecoderRare.body('§bSKULL-9§f: §850%%\n§bSR-3M§f: §80.5%%\n§bP99§f: §80.5%%\n§bPSG-1§f: §80.2%%\n§bSL8 CSOGS Edition§f: §80.1%%\n§bDesert Eagle CSOGS Edition§f: §80.1%%\n§bHArms CQB§f: §83%%\n§bHoneybadger§f: §83%%\n\n§4Unique§f: §820%%\n§7Common§f: §840%%\n§aAdvanced§f: §830%%\n§5Epic§f§l/§r§eTranscendent§f: §83%%')
    formDecoderRare.button('§4Exit', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formDecoderRare.show(player).then(result => {
        let selection = result.selection
        if (selection == 1) {
            pageGTFO(player)
        }
    })
}


//Epic Decoder drops
function pageDecoderEpic(player) {
	let formDecoderEpic = new ui.ActionFormData()
	formDecoderEpic.title('§5Drop Rates')
	formDecoderEpic.body('§dLast Stand Chainsaw§f: §810%%\n\n§dVoid Avenger§f: §850%%\n\n§eTranscendent§f: §8100%%')
    formDecoderEpic.button('§4Exit', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formDecoderEpic.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 1) {
            pageGTFO(player)
        }
    })
}

function pageMain(player) {
	let formMain = new ui.ActionFormData()
	formMain.title('⪼ §fStation§r ⪻')
	formMain.body('Select an option:')
	formMain.button('§7Weapons', 'textures/guns/mileage') //Second Argument is to show icon on the left side of the button
    formMain.button('§bBingo', 'textures/guns/bingo') //Second Argument is to show icon on the left side of the button
    formMain.button('§fPoint Shop', 'textures/guns/point') //Second Argument is to show icon on the left side of the button
    formMain.button('§6Storage', 'textures/ui/storage') //Second Argument is to show icon on the left side of the button
    formMain.button('§4Perks', 'textures/ui/wrech') //Second Argument is to show icon on the left side of the button
    formMain.show(player).then(result => {
        let selection = result.selection
		
		if (selection == 0) {
            pageWeapons(player)
        }
        if (selection == 1) {
            pageBingo(player)
        }
        if (selection == 2) {
            pagePoint(player)
        }
        if (selection == 3) {
            pageStorage(player)
        }
        if (selection == 4) {
            pagePerks(player)
        }
    })
}

//Morph
function pageMorph(player) {
	let formBingo = new ui.ActionFormData()
	formBingo.title('⪼ §cMorph§r ⪻')
	formBingo.body('§cMorph§f is a feature that enables you to change your playermodel.\n\n§c§l§oExperimental feature that could get removed.§r\n\nOnly affects third-person!')
    formBingo.button('§4Exit', 'textures/ui/wrong2') //Second Argument is to show icon on the left side of the button
    formBingo.button('§bCounter-Terrorist', 'textures/ui/ct') //Second Argument is to show icon on the left side of the button
    formBingo.button('§cTerrorist', 'textures/ui/tr') //Second Argument is to show icon on the left side of the button#
    formBingo.button('§7Reset', 'textures/ui/steve') //Second Argument is to show icon on the left side of the button
    formBingo.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pagePersonal(player)
        }
        if (selection == 1) {
            pageMorphCT(player)
        }
        if (selection == 2) {
            pageMorphTR(player)
        }
        if (selection == 3) {
            pageMorph(player)
            player.runCommand(
                'event entity @s morph:reset'
              )
        }
    })
}

//Inspect
function pageInspectOptions(player) {
	let formBingo = new ui.ActionFormData()
	formBingo.title('⪼ §cInspect Options§r ⪻')
	formBingo.body('§cInspect§f is a feature exclusive to the §eHQ DLC§f that enables you to twirl around and inspect your weapon and see its full glory.\n\nYou can also simply type "§c§li§r§f" in chat to inspect.\n\nCompatible weapons:\n- §5All except MR6 :(')
    formBingo.button('§4Exit', 'textures/ui/wrong2') //Second Argument is to show icon on the left side of the button
    formBingo.button('§7Attack to Inspect\n§aPress to Enable', 'textures/guns/one') //Second Argument is to show icon on the left side of the button
    formBingo.button('§7Attack to Inspect\n§cPress to Disable', 'textures/guns/two') //Second Argument is to show icon on the left side of the button
    formBingo.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pagePersonal(player)
        }
        if (selection == 1) {
            pageInspectOptions(player)
            player.runCommand(
                'function inspect/enable'
              )
        }
        if (selection == 2) {
            pageInspectOptions(player)
            player.runCommand(
                'function inspect/disable'
              )
        }
    })
}

//WeaponOptions
function pageWeaponOptions(player) {
	let formBingo = new ui.ActionFormData()
	formBingo.title('⪼ §cWeapon Options§r ⪻')
	formBingo.body('§cWeapon Options§f is a feature exclusive to the §eHQ DLC§f that enables you to edit your weapon mode as seen below.')
    formBingo.button('§4Exit', 'textures/ui/wrong2') //Second Argument is to show icon on the left side of the button
    formBingo.button('§7Reset!', 'textures/ui/reset') //Second Argument is to show icon on the left side of the button
    formBingo.button('§7No hands', 'textures/ui/unarmed') //Second Argument is to show icon on the left side of the button
    formBingo.button('§cLefty', 'textures/ui/lefty') //Second Argument is to show icon on the left side of the button
    formBingo.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pagePersonal(player)
        }
        if (selection == 1) {
            pageWeaponOptions(player)
            player.runCommand(
                'function weaponoptions/reset'
              )
        }
        if (selection == 2) {
            pageWeaponOptions(player)
            player.runCommand(
                'function weaponoptions/unarmed'
              )
        }
        if (selection == 3) {
            pageWeaponOptions(player)
            player.runCommand(
                'function weaponoptions/lefty'
              )
        }
    })
}

//MorphCT
function pageMorphCT(player) {
	let formBingo = new ui.ActionFormData()
	formBingo.title('⪼ §bCounter-Terrorist§r ⪻')
	formBingo.body('§bChoose your playermodel.\n\nOnly affects third-person!')
    formBingo.button('§4Exit', 'textures/ui/wrong2') //Second Argument is to show icon on the left side of the button
    formBingo.button('§bSeal Team 6', 'textures/ui/ct/sealteam6') //Second Argument is to show icon on the left side of the button
    formBingo.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageMorph(player)
        }
        if (selection == 1) {
            pageMorphCT(player)
            player.runCommand(
                'event entity @s morph:sealteam6'
              )
        }
    })
}

//MorphTR
function pageMorphTR(player) {
	let formBingo = new ui.ActionFormData()
	formBingo.title('⪼ §cTerrorist§r ⪻')
	formBingo.body('§cChoose your playermodel.\n\nOnly affects third-person!')
    formBingo.button('§4Exit', 'textures/ui/wrong2') //Second Argument is to show icon on the left side of the button
    formBingo.button('§cPhoenix Connexion', 'textures/ui/tr/phoenix') //Second Argument is to show icon on the left side of the button
    formBingo.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageMorph(player)
        }
        if (selection == 1) {
            pageMorphTR(player)
            player.runCommand(
                'event entity @s morph:phoenix'
              )
        }
    })
}

//Announcer
function pageAnnouncer(player) {
	let formBingo = new ui.ActionFormData()
	formBingo.title('⪼ §cAnnouncer§r ⪻')
	formBingo.body('§cAnnouncer§f is a feature that displays kill fx and sounds.\n\nYou can edit whatever you like about it!')
    formBingo.button('§4Exit', 'textures/ui/wrong2') //Second Argument is to show icon on the left side of the button
    formBingo.button('§7Sounds', 'textures/origins/megaphone') //Second Argument is to show icon on the left side of the button
    formBingo.button('§7Kill FX', 'textures/origins/cooldown/kill') //Second Argument is to show icon on the left side of the button
    formBingo.button('§7Hitmarker', 'textures/origins/cooldown/hit') //Second Argument is to show icon on the left side of the button
    formBingo.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pagePersonal(player)
        }
        if (selection == 1) {
            pageAnnouncerSounds(player)
        }
        if (selection == 2) {
            pageKillFx_first(player)
        }
        if (selection == 3) {
            pageAnnouncerHitmarker(player)
        }
    })
}
//Announcer Hitmarker
function pageAnnouncerHitmarker(player) {
	let formBingo = new ui.ActionFormData()
	formBingo.title('⪼ §cHitmarker§r ⪻')
	formBingo.body('§cAnnouncer Hitmarkers§f is a feature that displays a little hitmarker on your crosshair on a successful hit.\n\nEdit texture:')
    formBingo.button('§4Exit', 'textures/ui/wrong2') //Second Argument is to show icon on the left side of the button
    formBingo.button('§cRed', 'textures/origins/cooldown/hit') //Second Argument is to show icon on the left side of the button
    formBingo.button('§fWhite', 'textures/origins/cooldown/hit2') //Second Argument is to show icon on the left side of the button
    formBingo.button('None', 'textures/hi') //Second Argument is to show icon on the left side of the button
    formBingo.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageAnnouncer(player)
        }
        if (selection == 1) {
            pageAnnouncerHitmarker(player)
            player.runCommand(
                'function hitmarker_color_red'
              )  
        }
        if (selection == 2) {
            pageAnnouncerHitmarker(player)
            player.runCommand(
                'function hitmarker_color_white'
              )  
        }
        if (selection == 3) {
            pageAnnouncerHitmarker(player)
            player.runCommand(
                'function hitmarker_color_none'
              )  
        }
    })
}
//Announcer Sounds
function pageAnnouncerSounds(player) {
	let formBingo = new ui.ActionFormData()
	formBingo.title('⪼ §cAnnouncer Sounds§r ⪻')
	formBingo.body('§cAnnouncer§f is a feature that displays kill fx and sounds.\n\nEdit sounds:')
    formBingo.button('§4Exit', 'textures/ui/wrong2') //Second Argument is to show icon on the left side of the button
    formBingo.button('§7Hitmarker Sounds', 'textures/origins/cooldown/hit') //Second Argument is to show icon on the left side of the button
    formBingo.button('§7Kill Sounds', 'textures/origins/cooldown/kill') //Second Argument is to show icon on the left side of the button
    formBingo.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageAnnouncer(player)
        }
        if (selection == 1) {
            pageHitmarkerSounds(player)
        }
        if (selection == 2) {
            pageKillSounds_first(player)
        }
    })
}
//Kill Sounds - Start
function pageKillSounds_first(player) {
	let formBingo = new ui.ActionFormData()
	formBingo.title('⪼ §cAnnouncer Sounds§r ⪻')
	formBingo.body('§cAnnouncer§f is a feature that displays kill fx and sounds.\n\nChoose options:')
    formBingo.button('§4Exit', 'textures/ui/wrong2') //Second Argument is to show icon on the left side of the button
    formBingo.button('§7Player-Kill Sounds', 'textures/origins/cooldown/kill2') //Second Argument is to show icon on the left side of the button
    formBingo.button('§7Mob-Kill Sounds', 'textures/origins/cooldown/kill_mob3') //Second Argument is to show icon on the left side of the button
    formBingo.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageAnnouncerSounds(player)
        }
        if (selection == 1) {
            pageKillSounds(player)
        }
        if (selection == 2) {
            pageKillSounds_first(player)
            player.runCommand(
                'function mob_note'
              )  
        }
    })
}
//Kill Fx - Player
function pageAnnouncerKillFx_players(player) {
	let formBingo = new ui.ActionFormData()
	formBingo.title('⪼ §cKill FX§r ⪻')
	formBingo.body('§cAnnouncer§f is a feature that displays kill fx and sounds.\n\nEdit players kill fx:')
    formBingo.button('§4Exit', 'textures/ui/wrong2') //Second Argument is to show icon on the left side of the button
    formBingo.button('§cDisable', 'textures/origins/megaphone_off') //Second Argument is to show icon on the left side of the button
    formBingo.button('§aEnable', 'textures/origins/megaphone_on') //Second Argument is to show icon on the left side of the button
    formBingo.button('§cDead§fZone', 'textures/origins/cooldown/dz/firstblood_dz') //Second Argument is to show icon on the left side of the button
    formBingo.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageKillFx_first(player)
        }
        if (selection == 1) {
            pageAnnouncerKillFx_players(player)
            player.runCommand(
                'function kill_fx_disable'
              )  
        }
        if (selection == 2) {
            pageAnnouncerKillFx_players(player)
            player.runCommand(
                'function kill_fx_enable'
              )  
        }
        if (selection == 3) {
            pageAnnouncerKillFx_players(player)
            player.runCommand(
                'function kill_fx_dz'
              )  
        }
    })
}
function pageAnnouncerKillFx_mobs(player) {
	let formBingo = new ui.ActionFormData()
	formBingo.title('⪼ §cKill FX§r ⪻')
	formBingo.body('§cAnnouncer§f is a feature that displays kill fx and sounds.\n\nEdit mobs kill fx:')
    formBingo.button('§4Exit', 'textures/ui/wrong2') //Second Argument is to show icon on the left side of the button
    formBingo.button('§cDisable', 'textures/origins/megaphone_off') //Second Argument is to show icon on the left side of the button
    formBingo.button('§aEnable', 'textures/origins/megaphone_on') //Second Argument is to show icon on the left side of the button
    formBingo.button('Default', 'textures/origins/cooldown/kill_mob') //Second Argument is to show icon on the left side of the button
    formBingo.button('§cDead§fZone', 'textures/origins/cooldown/dz/kill_mob_dz') //Second Argument is to show icon on the left side of the button
    formBingo.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageKillFx_first(player)
        }
        if (selection == 1) {
            pageAnnouncerKillFx_mobs(player)
            player.runCommand(
                'function mobs_kill_fx_disable'
              )  
        }
        if (selection == 2) {
            pageAnnouncerKillFx_mobs(player)
            player.runCommand(
                'function mobs_kill_fx_enable'
              )  
        }
        if (selection == 3) {
            pageAnnouncerKillFx_mobs(player)
            player.runCommand(
                'function kill/mobs_kill_fx_default'
              )  
        }
        if (selection == 4) {
            pageAnnouncerKillFx_mobs(player)
            player.runCommand(
                'function kill/mobs_kill_fx_dz'
              )  
        }
    })
}
//Kill FX - Start
function pageKillFx_first(player) {
	let formBingo = new ui.ActionFormData()
	formBingo.title('⪼ §cAnnouncer FX§r ⪻')
	formBingo.body('§cAnnouncer§f is a feature that displays kill fx and sounds.\n\nChoose options:')
    formBingo.button('§4Exit', 'textures/ui/wrong2') //Second Argument is to show icon on the left side of the button
    formBingo.button('§7Player-Kill FX', 'textures/origins/cooldown/kill2') //Second Argument is to show icon on the left side of the button
    formBingo.button('§7Mob-Kill FX', 'textures/origins/cooldown/kill_mob3') //Second Argument is to show icon on the left side of the button
    formBingo.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageAnnouncer(player)
        }
        if (selection == 1) {
            pageAnnouncerKillFx_players(player)
        }
        if (selection == 2) {
            pageAnnouncerKillFx_mobs(player)
        }
    })
}
//Kill Sounds - Player
function pageKillSounds(player) {
	let formBingo = new ui.ActionFormData()
	formBingo.title('⪼ §cKill Sounds§r ⪻')
	formBingo.body('§cAnnouncer§f is a feature that displays kill fx and sounds.\n\nEdit kill sounds:')
    formBingo.button('§4Exit', 'textures/ui/wrong2') //Second Argument is to show icon on the left side of the button
    formBingo.button('§cDisable', 'textures/origins/megaphone_off') //Second Argument is to show icon on the left side of the button
    formBingo.button('§aEnable', 'textures/origins/megaphone_on') //Second Argument is to show icon on the left side of the button
    formBingo.button('§7Default', 'textures/origins/megaphone') //Second Argument is to show icon on the left side of the button
    formBingo.button('§eQuake / CSS', 'textures/origins/megaphone') //Second Argument is to show icon on the left side of the button
    formBingo.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageAnnouncerSounds(player)
        }
        if (selection == 1) {
            pageKillSounds(player)
            player.runCommand(
                'function kill_sound_disable'
              )  
        }
        if (selection == 2) {
            pageKillSounds(player)
            player.runCommand(
                'function kill_sound_enable'
              )  
        }
        if (selection == 3) {
            pageKillSounds(player)
            player.runCommand(
                'function kill_sound_default'
              )  
        }
        if (selection == 4) {
            pageKillSounds(player)
            player.runCommand(
                'function kill_sound_css'
              )  
        }
    })
}
//Hitmarker Sounds
function pageHitmarkerSounds(player) {
	let formBingo = new ui.ActionFormData()
	formBingo.title('⪼ §cHitmarker Sounds§r ⪻')
	formBingo.body('§cAnnouncer§f is a feature that displays kill fx and sounds.\n\nEdit hitmarker sounds:')
    formBingo.button('§4Exit', 'textures/ui/wrong2') //Second Argument is to show icon on the left side of the button
    formBingo.button('§cDisable', 'textures/origins/megaphone_off') //Second Argument is to show icon on the left side of the button
    formBingo.button('§aEnable', 'textures/origins/megaphone_on') //Second Argument is to show icon on the left side of the button
    formBingo.button('§7Default', 'textures/origins/megaphone') //Second Argument is to show icon on the left side of the button
    formBingo.button('§eCSO2', 'textures/origins/megaphone') //Second Argument is to show icon on the left side of the button
    formBingo.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageAnnouncerSounds(player)
        }
        if (selection == 1) {
            pageHitmarkerSounds(player)
            player.runCommand(
                'function hitmarker_sound_disable'
              )  
        }
        if (selection == 2) {
            pageHitmarkerSounds(player)
            player.runCommand(
                'function hitmarker_sound_enable'
              )  
        }
        if (selection == 3) {
            pageHitmarkerSounds(player)
            player.runCommand(
                'function hitmarker_sound_default'
              )  
        }
        if (selection == 4) {
            pageHitmarkerSounds(player)
            player.runCommand(
                'function hitmarker_sound_cso2'
              )  
        }
    })
}
//Bingo
function pageBingo(player) {
	let formBingo = new ui.ActionFormData()
	formBingo.title('⪼ §bBingo§r ⪻')
	formBingo.body('§bBingo§f is an option to gamble your mileage or bingo cards in order to get rare weapons or items.\n\nYou will randomly get a number between §o0-50§r, if you get all numbers that match, you will obtain the prize!\n\n§215 Mileage §frequired for each spin, or §b1 Bingo Card§f. If you have bingo cards, they will be used first.')
    formBingo.button('§4Exit', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formBingo.button('Random Rare Pistol', 'textures/guns/ray') //Second Argument is to show icon on the left side of the button
    formBingo.button('Random Rare Rifle', 'textures/guns/ak60') //Second Argument is to show icon on the left side of the button
    formBingo.button('§eGolden Briefcase', 'textures/decoder/contract_briefcase_gold') //Second Argument is to show icon on the left side of the button
    formBingo.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageMain(player)
        }
        if (selection == 1) {
            pageBingoPistols(player)
        }
        if (selection == 2) {
            pageBingoRifles(player)
        }
        if (selection == 3) {
            pageBingoGold(player)
        }
    })
}
//Bingo Pistols
function pageBingoPistols(player) {
	let formBingoPistols = new ui.ActionFormData()
	formBingoPistols.title('⪼ §bBingo - Rare Pistols§r ⪻')
	formBingoPistols.body('§c* 3 numbers to be found\n\n§bP99§f: §812.2%%\n§bMakarov§f: §88.1%%\n§bMaxim-9§f: §812.2%%\n§bM79§f: §82.0%%\n§bXD Elite§f: §88.1%%\n§bBubble Gun§f: §814.2%%\n§bDual Desert Eagles§f: §82.0%%\n§bRay Gun§f: §84.0%%\n§bSVI§f: §88.1%%\n§bKing Cobra§f: §812.2%%\n§bDeagle CSOGS§f: §810.2%%\n§bMk23 OHWS§f: §86.1%%')
	formBingoPistols.button('Spin!', 'textures/guns/ray') //Second Argument is to show icon on the left side of the button
    formBingoPistols.button('§4Exit', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formBingoPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 1) {
            pageMain(player)
        }
        if (selection == 0) {
            pageBingoPistols(player)
            player.runCommand(
                'function bingo_1'
              )      
        }
    })
}

//Bingo Pistols
function pageBingoRifles(player) {
	let formBingoPistols = new ui.ActionFormData()
	formBingoPistols.title('⪼ §bBingo - Rare Rifles§r ⪻')
	formBingoPistols.body('§c* 3 numbers to be found\n\n§bLightning AR-2§f: §822.2%%\n§bF2000§f: §85.5%%\n§bAS Val§f: §833.3%%\n§bAK-47 60R§f: §85.5%%\n§bHoneybadger§f: §827.7%%\n§bEthereal§f: §85.5%%')
	formBingoPistols.button('Spin!', 'textures/guns/ak60') //Second Argument is to show icon on the left side of the button
    formBingoPistols.button('§4Exit', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formBingoPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 1) {
            pageMain(player)
        }
        if (selection == 0) {
            pageBingoRifles(player)
            player.runCommand(
                'function bingo_3'
              )      
        }
    })
}

//Bingo Gold
function pageBingoGold(player) {
	let formBingoGold = new ui.ActionFormData()
	formBingoGold.title('⪼ §bBingo - §eGolden Briefcase§r ⪻')
	formBingoGold.body('§c* 0-90 random numbers in each spin\n§c* 5 numbers to be found\n§c* Coordinates will be leaked in chat when you win!\n\n§3You will obtain §bTWO§r§3 of the following items (can be a duplicate)§r:\n\n§bVoid Avenger§f: §8100%%\n§bLast Stand Chainsaw§f: §8100%%\n§bDual Kriss Vector§f: §8100%%\n§bTempest§f: §8100%%\n§bPowerfalcon§f: §8100%%\n§bSL8 CSOGS Edition§f: §8100%%\n§bDual Desert Eagles§f: §8100%%\n§bRay Gun§f: §8100%%\n§bPSG-1§f: §8100%%\n§bSL8§f: §8100%%\n§bSL8 CSOGS Edition§f: §8100%%\n§bDesert Eagle CSOGS Edition§f: §8100%%\n§bSterling Bayonet§f: §8100%%\n§bThompson§f: §8100%%\n\n§b21x Rare Decoder§f: §8100%%\n§b15x Unique Decoder§f: §8100%%\n§b7x Epic Decoder§f: §8100%%\n\n§b5,000 Mileage Coupon§f: §830%%\n§b15,000 Points Coupon§f: §810%%')
	formBingoGold.button('Spin!', 'textures/decoder/contract_briefcase_gold') //Second Argument is to show icon on the left side of the button
    formBingoGold.button('§4Exit', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formBingoGold.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 1) {
            pageMain(player)
        }
        if (selection == 0) {
            pageBingoGold(player)
            player.runCommand(
                'function bingo_2'
              )      
        }
    })
}

//Point Shop
function pagePoint(player) {
	let formPoint = new ui.ActionFormData()
	formPoint.title('⪼ §fPoint Shop§r ⪻')
	formPoint.body('§fPoints§7 are used to buy miscellaneous items like Decoders.\n\nKilling hostile mobs earns you points!\n\nNormal kill = 30 points\nMelee kill = 45 points\nGrenade kill = 60 points')
    formPoint.button('§4Exit', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
	formPoint.button('§fCheck\nPoints', 'textures/guns/point') //Second Argument is to show icon on the left side of the button
    formPoint.button('§cDe§7co§5de§ar§es', 'textures/decoder/unique') //Second Argument is to show icon on the left side of the button
    formPoint.button('§7Ammo', 'textures/parts/ammo_ar') //Second Argument is to show icon on the left side of the button
    formPoint.button('§iShelter', 'textures/melee/crowbar') //Second Argument is to show icon on the left side of the button
    formPoint.button('§iPoint Weapons\n§aNew items!', 'textures/melee/karambit') //Second Argument is to show icon on the left side of the button
    formPoint.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageMain(player)
        }
        if (selection == 1) {
            pagePoint(player)
            player.runCommand(
                'function point_check'
              )      
        }
        if (selection == 2) {
            pagePointDecoder(player)  
        }
        if (selection == 3) {
            pagePointAmmo(player)  
        }
        if (selection == 4) {
            pageShelter(player)  
        }
        if (selection == 5) {
            pagePointWeapons(player) 
        }
    })
}

//Storage
function pageStorage(player) {
	let formStorage = new ui.ActionFormData()
	formStorage.title('⪼ §6Storage§r ⪻')
	formStorage.body('§6Area getting hostile? store your goods and be at ease!')
    formStorage.button('§4Exit', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
	formStorage.button('Store Mileage', 'textures/guns/mileage') //Second Argument is to show icon on the left side of the button
    formStorage.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageMain(player)
        }
        if (selection == 1) {
            pageMileage_store(player)  
        }
    })
}

//Perks
function pagePerks(player) {
	let formPerks = new ui.ActionFormData()
	formPerks.title('⪼ §4Perks§r ⪻')
    formPerks.button('§4Exit', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
	formPerks.button('Death Note', 'textures/ui/matt') //Second Argument is to show icon on the left side of the button
    formPerks.button('DDoX', 'textures/ui/icy') //Second Argument is to show icon on the left side of the button
    formPerks.button('Living Death', 'textures/ui/matt') //Second Argument is to show icon on the left side of the button
    formPerks.button('Quick Fix', 'textures/ui/icy') //Second Argument is to show icon on the left side of the button
    formPerks.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageMain(player)
        }
        if (selection == 1) {
            pageDeathNote(player)  
        }
        if (selection == 2) {
            pageddox(player)  
        }
        if (selection == 3) {
            player.runCommand(
                'function ld_open'
              )      
        }
        if (selection == 4) {
            pageQF(player)  
        }
        if (selection == 5) {
            pageLW(player)  
        }
    })
}


function pagePointDecoder(player) {
	let formPointDecoder = new ui.ActionFormData()
	formPointDecoder.title('⪼ §cDe§7co§5de§ar§es§r ⪻')
	formPointDecoder.body('§3Description\n§o§7Decoders are mysterious boards that are over 10,000 years old, enchanted by an unknown entity. They shake the ground until they give you an item that corresponds with it\'s grade, and a bingo card.')
    formPointDecoder.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formPointDecoder.button('§7Common\n§f2500', 'textures/decoder/common') //Second Argument is to show icon on the left side of the button
    formPointDecoder.button('§aAdvanced\n§f5000', 'textures/decoder/advanced') //Second Argument is to show icon on the left side of the button
    formPointDecoder.button('§bRare\n§f8000', 'textures/decoder/rare') //Second Argument is to show icon on the left side of the button
    formPointDecoder.button('§4Unique\n§f12000', 'textures/decoder/unique') //Second Argument is to show icon on the left side of the button
    formPointDecoder.button('§5Epic\n§f20000', 'textures/decoder/epic') //Second Argument is to show icon on the left side of the button
    formPointDecoder.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 1) {
            pagePointDecoder(player)
            player.runCommand(
                'function buy_common'
              )
        }
        if (selection == 2) {
            pagePointDecoder(player)
            player.runCommand(
                'function buy_advanced'
              )
        }
        if (selection == 3) {
            pagePointDecoder(player)
            player.runCommand(
                'function buy_rare'
              )
        }
        if (selection == 4) {
            pagePointDecoder(player)
            player.runCommand(
                'function buy_unique'
              )
        }
        if (selection == 5) {
            pagePointDecoder(player)
            player.runCommand(
                'function buy_epic'
              )
        }
        if (selection == 0) {
            pagePoint(player)
        }
    })
}



function pagePointAmmo(player) {
	let formPointAmmo = new ui.ActionFormData()
	formPointAmmo.title('⪼ §fAmmo§r ⪻')
	formPointAmmo.body('§3Description\n§o§7Ammo is used to re-fill weapons reserve ammo. To re-fill, place the ammo in your offhand, and the gun you want to fill in your mainhand.')
    formPointAmmo.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formPointAmmo.button('§7Assault Rifle\n§bChoose Quantity', 'textures/parts/ammo_ar') //Second Argument is to show icon on the left side of the button
    formPointAmmo.button('§7Machine Gun\n§bChoose Quantity', 'textures/parts/ammo_mg') //Second Argument is to show icon on the left side of the button
    formPointAmmo.button('§7Grenade-fill\n§bx10\n§f800', 'textures/parts/ammo_grenade') //Second Argument is to show icon on the left side of the button
    formPointAmmo.button('§7Shotgun\n§bx25\n§f650', 'textures/parts/ammo_shotgun') //Second Argument is to show icon on the left side of the button
    formPointAmmo.button('§7Pistol\n§bChoose Quantity', 'textures/parts/ammo_pistol') //Second Argument is to show icon on the left side of the button
    formPointAmmo.button('§7SMG\n§bChoose Quantity', 'textures/parts/ammo_smg') //Second Argument is to show icon on the left side of the button
    formPointAmmo.button('§7Sniper\n§bChoose Quantity', 'textures/parts/ammo_sniper') //Second Argument is to show icon on the left side of the button
    formPointAmmo.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 1) {
            pagePointAmmoAR(player)
        }
        if (selection == 2) {
            pagePointAmmoMG(player)
        }
        if (selection == 3) {
            pagePointAmmo(player)
            player.runCommand(
                'function buy_ammo_grenade'
              )
        }
        if (selection == 4) {
            pagePointAmmo(player)
            player.runCommand(
                'function buy_ammo_shotgun'
              )
        }
        if (selection == 5) {
            pagePointAmmoPistol(player)
        }
        if (selection == 6) {
            pagePointAmmoSMG(player)
        }
        if (selection == 7) {
            pagePointAmmoSniper(player)
        }
        if (selection == 0) {
            pagePoint(player)
        }
    })
}




function pageShelter(player) {
	let formShelter = new ui.ActionFormData()
	formShelter.title('⪼ §iShelter§r ⪻')
	formShelter.body('§3Description\n§o§7Need extra EXTRA help in survival? you\'re in the right place!\n\n§r§3Information:\n§f1. §hThese are buildable-mobs that require tools (all below) to be built or repair when damaged \n§f2. §hTo §qrepair§f / §qbuild§h, hit buildings with compatible tools WITHOUT SNEAKING\n§f3. §hHostile mobs can §cattack §hbuildings! \n§f4. §hIf damaged, plays siren sounds\n\n§r§3Compatible tools:\n§nKukri §f-> §sCrowbar §f-> §pTomahawk')
    formShelter.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formShelter.button('§mMedical Table\n§bPress for information', 'textures/ui/medical') //Second Argument is to show icon on the left side of the button
    formShelter.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 1) {
            pageMedicalTable(player)
        }
        if (selection == 0) {
            pagePoint(player)
        }
    })
}

function pagePointWeapons(player) {
	let formPointWeapons = new ui.ActionFormData()
	formPointWeapons.title('⪼ §iPoint Weapons§r ⪻')
	formPointWeapons.body('§3Description\n§o§7Weapons, but with points! weapons are random every update.')
    formPointWeapons.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formPointWeapons.button('Karambit §f§l§o::§r §7Vanilla\n§f§l5000', 'textures/melee/karambit') //Second Argument is to show icon on the left side of the button
    formPointWeapons.button('§aUzi §f§l§o::§r §7Vanilla\n§f§l5000', 'textures/guns/uzi') //Second Argument is to show icon on the left side of the button
    formPointWeapons.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 1) {
            pagePointWeapons(player)
            player.runCommand(
                'function point/karambit'
              )
        }
        if (selection == 2) {
            pagePointWeapons(player)
            player.runCommand(
                'function point/uzi'
              )
        }
        if (selection == 0) {
            pagePoint(player)
        }
    })
}

function pagePointAmmoSMG(player) {
	let formPointAmmoSMG = new ui.ActionFormData()
	formPointAmmoSMG.title('⪼ §fChoose Quantity - §bSMG Ammo§r ⪻')
    formPointAmmoSMG.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formPointAmmoSMG.button('§f350', 'textures/guns/one') //Second Argument is to show icon on the left side of the button
    formPointAmmoSMG.button('§f410', 'textures/guns/two') //Second Argument is to show icon on the left side of the button
    formPointAmmoSMG.button('§f500', 'textures/guns/three') //Second Argument is to show icon on the left side of the button
    formPointAmmoSMG.button('§f610', 'textures/guns/four') //Second Argument is to show icon on the left side of the button
    formPointAmmoSMG.button('§f750', 'textures/guns/five') //Second Argument is to show icon on the left side of the button
    formPointAmmoSMG.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 1) {
            pagePointAmmoSMG(player)
            player.runCommand(
                'function buy_ammo_smg_1'
              )
        }
        if (selection == 2) {
            pagePointAmmoSMG(player)
            player.runCommand(
                'function buy_ammo_smg_2'
              )
        }
        if (selection == 3) {
            pagePointAmmoSMG(player)
            player.runCommand(
                'function buy_ammo_smg_3'
              )
        }
        if (selection == 4) {
            pagePointAmmoSMG(player)
            player.runCommand(
                'function buy_ammo_smg_4'
              )
        }
        if (selection == 5) {
            pagePointAmmoSMG(player)
            player.runCommand(
                'function buy_ammo_smg_5'
              )
        }
        if (selection == 0) {
            pagePointAmmo(player)
        }
    })
}




function pagePointAmmoSniper(player) {
	let formPointAmmoSniper = new ui.ActionFormData()
	formPointAmmoSniper.title('⪼ §fChoose Quantity - §bSniper Ammo§r ⪻')
    formPointAmmoSniper.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formPointAmmoSniper.button('§f350', 'textures/guns/one') //Second Argument is to show icon on the left side of the button
    formPointAmmoSniper.button('§f410', 'textures/guns/two') //Second Argument is to show icon on the left side of the button
    formPointAmmoSniper.button('§f500', 'textures/guns/three') //Second Argument is to show icon on the left side of the button
    formPointAmmoSniper.button('§f610', 'textures/guns/four') //Second Argument is to show icon on the left side of the button
    formPointAmmoSniper.button('§f750', 'textures/guns/five') //Second Argument is to show icon on the left side of the button
    formPointAmmoSniper.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 1) {
            pagePointAmmoSniper(player)
            player.runCommand(
                'function buy_ammo_sniper_1'
              )
        }
        if (selection == 2) {
            pagePointAmmoSniper(player)
            player.runCommand(
                'function buy_ammo_sniper_2'
              )
        }
        if (selection == 3) {
            pagePointAmmoSniper(player)
            player.runCommand(
                'function buy_ammo_sniper_3'
              )
        }
        if (selection == 4) {
            pagePointAmmoSniper(player)
            player.runCommand(
                'function buy_ammo_sniper_4'
              )
        }
        if (selection == 5) {
            pagePointAmmoSniper(player)
            player.runCommand(
                'function buy_ammo_sniper_5'
              )
        }
        if (selection == 0) {
            pagePointAmmo(player)
        }
    })
}



function pagePointAmmoAR(player) {
	let formPointAmmoAR = new ui.ActionFormData()
	formPointAmmoAR.title('⪼ §fChoose Quantity - §bAR Ammo§r ⪻')
    formPointAmmoAR.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formPointAmmoAR.button('§f350', 'textures/guns/one') //Second Argument is to show icon on the left side of the button
    formPointAmmoAR.button('§f410', 'textures/guns/two') //Second Argument is to show icon on the left side of the button
    formPointAmmoAR.button('§f500', 'textures/guns/three') //Second Argument is to show icon on the left side of the button
    formPointAmmoAR.button('§f610', 'textures/guns/four') //Second Argument is to show icon on the left side of the button
    formPointAmmoAR.button('§f750', 'textures/guns/five') //Second Argument is to show icon on the left side of the button
    formPointAmmoAR.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 1) {
            pagePointAmmoAR(player)
            player.runCommand(
                'function buy_ammo_ar_1'
              )
        }
        if (selection == 2) {
            pagePointAmmoAR(player)
            player.runCommand(
                'function buy_ammo_ar_2'
              )
        }
        if (selection == 3) {
            pagePointAmmoAR(player)
            player.runCommand(
                'function buy_ammo_ar_3'
              )
        }
        if (selection == 4) {
            pagePointAmmoAR(player)
            player.runCommand(
                'function buy_ammo_ar_4'
              )
        }
        if (selection == 5) {
            pagePointAmmoAR(player)
            player.runCommand(
                'function buy_ammo_ar_5'
              )
        }
        if (selection == 0) {
            pagePointAmmo(player)
        }
    })
}



function pagePointAmmoPistol(player) {
	let formPointAmmoPistol = new ui.ActionFormData()
	formPointAmmoPistol.title('⪼ §fChoose Quantity - §bPistol Ammo§r ⪻')
    formPointAmmoPistol.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formPointAmmoPistol.button('§f350', 'textures/guns/one') //Second Argument is to show icon on the left side of the button
    formPointAmmoPistol.button('§f410', 'textures/guns/two') //Second Argument is to show icon on the left side of the button
    formPointAmmoPistol.button('§f500', 'textures/guns/three') //Second Argument is to show icon on the left side of the button
    formPointAmmoPistol.button('§f610', 'textures/guns/four') //Second Argument is to show icon on the left side of the button
    formPointAmmoPistol.button('§f750', 'textures/guns/five') //Second Argument is to show icon on the left side of the button
    formPointAmmoPistol.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 1) {
            pagePointAmmoPistol(player)
            player.runCommand(
                'function buy_ammo_pistol_1'
              )
        }
        if (selection == 2) {
            pagePointAmmoPistol(player)
            player.runCommand(
                'function buy_ammo_pistol_2'
              )
        }
        if (selection == 3) {
            pagePointAmmoPistol(player)
            player.runCommand(
                'function buy_ammo_pistol_3'
              )
        }
        if (selection == 4) {
            pagePointAmmoPistol(player)
            player.runCommand(
                'function buy_ammo_pistol_4'
              )
        }
        if (selection == 5) {
            pagePointAmmoPistol(player)
            player.runCommand(
                'function buy_ammo_pistol_5'
              )
        }
        if (selection == 0) {
            pagePointAmmo(player)
        }
    })
}




function pagePointAmmoMG(player) {
	let formPointAmmoMG = new ui.ActionFormData()
	formPointAmmoMG.title('⪼ §fChoose Quantity - §bMG Ammo§r ⪻')
    formPointAmmoMG.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formPointAmmoMG.button('§f350', 'textures/guns/one') //Second Argument is to show icon on the left side of the button
    formPointAmmoMG.button('§f410', 'textures/guns/two') //Second Argument is to show icon on the left side of the button
    formPointAmmoMG.button('§f500', 'textures/guns/three') //Second Argument is to show icon on the left side of the button
    formPointAmmoMG.button('§f610', 'textures/guns/four') //Second Argument is to show icon on the left side of the button
    formPointAmmoMG.button('§f750', 'textures/guns/five') //Second Argument is to show icon on the left side of the button
    formPointAmmoMG.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 1) {
            pagePointAmmoMG(player)
            player.runCommand(
                'function buy_ammo_mg_1'
              )
        }
        if (selection == 2) {
            pagePointAmmoMG(player)
            player.runCommand(
                'function buy_ammo_mg_2'
              )
        }
        if (selection == 3) {
            pagePointAmmoMG(player)
            player.runCommand(
                'function buy_ammo_mg_3'
              )
        }
        if (selection == 4) {
            pagePointAmmoMG(player)
            player.runCommand(
                'function buy_ammo_mg_4'
              )
        }
        if (selection == 5) {
            pagePointAmmoMG(player)
            player.runCommand(
                'function buy_ammo_mg_5'
              )
        }
        if (selection == 0) {
            pagePointAmmo(player)
        }
    })
}

//Weapons
function pageWeapons(player) {
	let formWeapons = new ui.ActionFormData()
	formWeapons.title('⪼ §fWeapons§r ⪻')
	formWeapons.body('Select a category\n\n§c* Categories except pistols/bingo/decoder are not complete because I need opinions before I transfer them over to other categories.\nPlease voice your opinions about the UI seen in the pistols/bingo/decoder category in the comments of the update.\nThank you!')
    formWeapons.button('§4Exit', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formWeapons.button('§i1. §fRifles', 'textures/guns/ak47') //Second Argument is to show icon on the left side of the button
    formWeapons.button('§i2. §fSnipers', 'textures/guns/awp') //Second Argument is to show icon on the left side of the button
	formWeapons.button('§i3. §fPistols', 'textures/guns/glock') //Second Argument is to show icon on the left side of the button
    formWeapons.button('§i4. §fMelees', 'textures/melee/seal') //Second Argument is to show icon on the left side of the button
    //formWeapons.button('§i4. §fMelees', 'textures/melee/seal') //Second Argument is to show icon on the left side of the button
    formWeapons.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageMain(player)
        }
        if (selection == 3) {
            pagePistols(player)
        }
        if (selection == 1) {
            player.runCommand(
                'function rifles_open'
              )      
        }
        if (selection == 2) {
            player.runCommand(
                'function snipers_open'
              )      
        }
        if (selection == 4) {
            pageMelees(player)
        }
        if (selection == 5) {
            pageEnhance(player)
        }
    })
}


//Enhance List
function pageEnhance(player) {
	let formEnhance = new ui.ActionFormData()
	formEnhance.title('⪼ §fEnhance§r ⪻')
	formEnhance.body('Select a melee to enhance:')
    formEnhance.button('§4Exit', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
	formEnhance.button('§aStG-44 \n§r§i+6', 'textures/guns/stg') //Second Argument is to show icon on the left side of the button
    formEnhance.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageWeapons(player)
        }
        if (selection == 1) {
            pageStG44_enhance(player)
        }
    })
}



//Melees List
function pageMelees(player) {
	let formMelees = new ui.ActionFormData()
	formMelees.title('⪼ §fMelees§r ⪻')
	formMelees.body('Select a melee to buy:')
    formMelees.button('§4Exit', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
	formMelees.button('Seal §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/melee/seal') //Second Argument is to show icon on the left side of the button
    formMelees.button('Balisong §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/melee/balisong') //Second Argument is to show icon on the left side of the button
    formMelees.button('Baseball Bat §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/melee/bat') //Second Argument is to show icon on the left side of the button
    formMelees.button('§eBlade Runebreaker §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/melee/runebreaker') //Second Argument is to show icon on the left side of the button
    formMelees.button('Bowie §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/melee/bowie') //Second Argument is to show icon on the left side of the button
    formMelees.button('Brass Knuckles §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/melee/brass') //Second Argument is to show icon on the left side of the button
    formMelees.button('§aCombat Knife §f§l§o:: §8Vanilla\n§r§cNot Purchasable', 'textures/melee/combat') //Second Argument is to show icon on the left side of the button
    formMelees.button('§aCrowbar §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/melee/crowbar') //Second Argument is to show icon on the left side of the button
    formMelees.button('§aDragon Knife §f§l§o:: §8Vanilla\n§r§cNot Purchasable', 'textures/melee/dragon') //Second Argument is to show icon on the left side of the button
    formMelees.button('§aHuntsman Knife §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/melee/huntsman') //Second Argument is to show icon on the left side of the button
    formMelees.button('Karambit §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/melee/karambit') //Second Argument is to show icon on the left side of the button
    formMelees.button('§aKatana §f§l§o:: §8Vanilla\n§r§cNot Purchasable', 'textures/melee/katana') //Second Argument is to show icon on the left side of the button
    formMelees.button('§aKukri §f§l§o:: §8Vanilla\n§r§cNot Purchasable', 'textures/melee/kukri') //Second Argument is to show icon on the left side of the button
    formMelees.button('§aMachete §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/melee/machete') //Second Argument is to show icon on the left side of the button
    formMelees.button('M9 Bayonet §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/melee/m9') //Second Argument is to show icon on the left side of the button
    formMelees.button('Nata Knife §f§l§o:: §8Vanilla\n§r§cNot Purchasable', 'textures/melee/nata') //Second Argument is to show icon on the left side of the button
    formMelees.button('Nomad Knife §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/melee/nomad') //Second Argument is to show icon on the left side of the button
    formMelees.button('§4Serpent Blade §f§l§o:: §8Vanilla\n§r§cNot Purchasable', 'textures/melee/serpent') //Second Argument is to show icon on the left side of the button
    formMelees.button('§aSkeleton Knife §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/melee/skeleton') //Second Argument is to show icon on the left side of the button
    formMelees.button('Ursus Knife §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/melee/ursus') //Second Argument is to show icon on the left side of the button
    formMelees.button('§4Taser Knife §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/melee/taser') //Second Argument is to show icon on the left side of the button
    formMelees.button('§4Tomahawk §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/melee/tomahawk') //Second Argument is to show icon on the left side of the button
    formMelees.button('§bSKULL-9 §f§l§o:: §8Vanilla\n§r§cNot Purchasable', 'textures/melee/skull_axe') //Second Argument is to show icon on the left side of the button
    formMelees.button('§aTactical Knife §f§l§o:: §8Vanilla\n§r§cNot Purchasable', 'textures/melee/tactical') //Second Argument is to show icon on the left side of the button
    formMelees.button('Cold Steel Knife §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/melee/cold_steel') //Second Argument is to show icon on the left side of the button
    formMelees.button('Hammer §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/melee/hammer') //Second Argument is to show icon on the left side of the button
    formMelees.button('§eWarhammer Storm Giant §f§l§o:: §8Vanilla\n§r§cNot Purchasable', 'textures/melee/warhammer') //Second Argument is to show icon on the left side of the button
    formMelees.button('§aHeavy Zombie Knife §f§l§o:: §8Vanilla\n§r§cNot Purchasable', 'textures/melee/heavy') //Second Argument is to show icon on the left side of the button
    formMelees.button('?\n§r§6Coming Soon', 'textures/melee/snap') //Second Argument is to show icon on the left side of the button
    formMelees.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageWeapons(player)
        }
        if (selection == 1) {
            pageSealKnife_buy(player)
        }
        if (selection == 2) {
            pageBalisong_buy(player)
        }
        if (selection == 3) {
            pageBaseballBat_buy(player)
        }
        if (selection == 4) {
            pageRunebreaker_buy(player)
        }
        if (selection == 5) {
            pageBowie_buy(player)
        }
        if (selection == 6) {
            pageBrass_buy(player)
        }
        if (selection == 7) {
            pageCombatKnife_buy(player)
        }
        if (selection == 8) {
            pageCrowbar_buy(player)
        }
        if (selection == 9) {
            pageDragonKnife_buy(player)
        }
        if (selection == 10) {
            pageHuntsmanKnife_buy(player)
        }
        if (selection == 11) {
            pageKarambit_buy(player)
        }
        if (selection == 12) {
            pageKatana_buy(player)
        }
        if (selection == 13) {
            pageKukri_buy(player)
        }
        if (selection == 15) {
            pageM9_buy(player)
        }
        if (selection == 14) {
            pageMachete_buy(player)
        }
        if (selection == 16) {
            pageNataKnife_buy(player)
        }
        if (selection == 17) {
            pageNomad_buy(player)
        }
        if (selection == 18) {
            pageSerpentBlade_buy(player)
        }
        if (selection == 19) {
            pageSkeletonKnife_buy(player)
        }
        if (selection == 20) {
            pageUrsusKnife_buy(player)
        }
        if (selection == 21) {
            pageTaserKnife_buy(player)
        }
        if (selection == 22) {
            pageTomahawk_buy(player)
        }
        if (selection == 23) {
            pageSkull9_buy(player)
        }
        if (selection == 24) {
            pageTacticalKnife_buy(player)
        }
        if (selection == 25) {
            pageColdSteel_buy(player)
        }
        if (selection == 26) {
            pageHammer_buy(player)
        }
        if (selection == 27) {
            pageWarhammer_buy(player)
        }
        if (selection == 28) {
            pageHzknife_buy(player)
        }
        if (selection == 29) {
            pageSnapBlade_buy(player)
        }
    })
}




//Pistols List
function pagePistols(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('⪼ §fPistols§r ⪻')
	formPistols.body('Select a pistol to buy:')
    formPistols.button('§4Exit', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
	formPistols.button('USP §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/items/usp_both') //Second Argument is to show icon on the left side of the button
	formPistols.button('P228 §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/guns/p228') //Second Argument is to show icon on the left side of the button
    formPistols.button('§aMauser C96 §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/guns/mauser') //Second Argument is to show icon on the left side of the button
    formPistols.button('§bP99 §f§l§o:: §8Vanilla\n§r§cNot Purchasable', 'textures/guns/p99') //Second Argument is to show icon on the left side of the button
    formPistols.button('Glock-18 §f§l§o:: §8Vanilla\n§r§r§aPurchasable', 'textures/guns/glock') //Second Argument is to show icon on the left side of the button
    formPistols.button('Luger §f§l§o:: §8Vanilla\n§r§r§aPurchasable', 'textures/guns/luger') //Second Argument is to show icon on the left side of the button
    formPistols.button('§aM1911 §f§l§o:: §8Vanilla\n§r§r§aPurchasable', 'textures/guns/m1911') //Second Argument is to show icon on the left side of the button
    formPistols.button('FN Five-SeveN §f§l§o:: §8Vanilla\n§r§r§aPurchasable', 'textures/guns/fiveseven') //Second Argument is to show icon on the left side of the button
    formPistols.button('§aMakarov §f§l§o:: §8Vanilla\n§r§cNot Purchasable', 'textures/items/makarov_both') //Second Argument is to show icon on the left side of the button
    formPistols.button('§aMK23 §f§l§o:: §8Vanilla\n§r§cNot Purchasable', 'textures/items/mk23_both') //Second Argument is to show icon on the left side of the button
    formPistols.button('R8 Revolver §f§l§o:: §8Vanilla\n§r§r§aPurchasable', 'textures/guns/r8') //Second Argument is to show icon on the left side of the button
    formPistols.button('Maxim-9 §f§l§o:: §8Vanilla\n§r§cNot Purchasable', 'textures/guns/maxim') //Second Argument is to show icon on the left side of the button
    formPistols.button('§eDesperado §f§l§o:: §8Vanilla\n§r§r§aPurchasable', 'textures/items/desperado_both') //Second Argument is to show icon on the left side of the button
    formPistols.button('Welrod §f§l§o:: §8Vanilla\n§r§r§aPurchasable', 'textures/guns/welrod') //Second Argument is to show icon on the left side of the button
    formPistols.button('AMT Automag V §f§l§o:: §8Vanilla\n§r§r§aPurchasable', 'textures/guns/automag') //Second Argument is to show icon on the left side of the button
    formPistols.button('IMI Desert Eagle §f§l§o:: §8Vanilla\n§r§r§aPurchasable', 'textures/guns/deagle') //Second Argument is to show icon on the left side of the button
    formPistols.button('§aM79 §f§l§o:: §8Vanilla\n§r§cNot Purchasable', 'textures/guns/m79') //Second Argument is to show icon on the left side of the button
    formPistols.button('SVI Infinity Silver §f§l§o:: §8Vanilla\n§r§cNot Purchasable', 'textures/guns/infinity') //Second Argument is to show icon on the left side of the button
    formPistols.button('§aKing Cobra §f§l§o:: §8Vanilla\n§r§cNot Purchasable', 'textures/guns/kc') //Second Argument is to show icon on the left side of the button
    formPistols.button('§5Void Avenger §f§l§o:: §8Vanilla\n§r§r§aPurchasable', 'textures/guns/void') //Second Argument is to show icon on the left side of the button
    formPistols.button('§eGunslinger §f§l§o:: §8Vanilla\n§r§r§aPurchasable', 'textures/guns/gunslinger') //Second Argument is to show icon on the left side of the button
    formPistols.button('§bXD Elite §f§l§o:: §8Vanilla\n§r§cNot Purchasable', 'textures/guns/xd') //Second Argument is to show icon on the left side of the button
    formPistols.button('§aBubble Gun §f§l§o:: §8Vanilla\n§r§cNot Purchasable', 'textures/guns/bubble') //Second Argument is to show icon on the left side of the button
    formPistols.button('§4Dual Deagles §f§l§o:: §8Vanilla\n§r§cNot Purchasable', 'textures/guns/deagle_dual_real') //Second Argument is to show icon on the left side of the button
    formPistols.button('Dual Beretta Elite §f§l§o:: §8Vanilla\n§r§r§aPurchasable', 'textures/guns/beretta_dual') //Second Argument is to show icon on the left side of the button
    formPistols.button('§aRay Gun §f§l§o:: §8Vanilla\n§r§cNot Purchasable', 'textures/guns/ray') //Second Argument is to show icon on the left side of the button
    formPistols.button('§aAnaconda §f§l§o:: §8Vanilla\n§r§r§aPurchasable', 'textures/guns/anaconda') //Second Argument is to show icon on the left side of the button
    formPistols.button('SVI Infinity Black \n§r§cNot Purchasable', 'textures/guns/infinityblack') //Second Argument is to show icon on the left side of the button
    formPistols.button('SVI Infinity Red \n§r§cNot Purchasable', 'textures/guns/infinityred') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageWeapons(player)
        }
        if (selection == 1) {
            pageUSP_buy(player)
        }
        if (selection == 2) {
            pageP228_buy(player)
        }
        if (selection == 3) {
            pageMauser_buy(player)
        }
        if (selection == 4) {
            pageP99_buy(player)
        }
        if (selection == 5) {
            pageGlock_buy(player)
        }
        if (selection == 6) {
            pageLuger_buy(player)
        }
        if (selection == 7) {
            pageM1911_buy(player)
        }
        if (selection == 8) {
            pageFiveSeven_buy(player)
        }
        if (selection == 9) {
            pageMakarov_buy(player)
        }
        if (selection == 10) {
            pageMK23_buy(player)
        }
        if (selection == 11) {
            pageR8_buy(player)
        }
        if (selection == 12) {
            pageMaxim_buy(player)
        }
        if (selection == 13) {
            pageDesperado_buy(player)
        }
        if (selection == 14) {
            pageWelrod_buy(player)
        }
        if (selection == 15) {
            pageAutomag_buy(player)
        }
        if (selection == 16) {
            pageDeagle_buy(player)
        }
        if (selection == 17) {
            pageM79_buy(player)
        }
        if (selection == 18) {
            pageSVI_buy(player)
        }
        if (selection == 19) {
            pageKC_buy(player)
        }
        if (selection == 20) {
            pageVoidAvenger_buy(player)
        }
        if (selection == 21) {
            pageGunslinger_buy(player)
        }
        if (selection == 22) {
            pageXD_buy(player)
        }
        if (selection == 23) {
            pageBubble_buy(player)
        }
        if (selection == 24) {
            pageDeagleDual_buy(player)
        }
        if (selection == 25) {
            pageBerettaDual_buy(player)
        }
        if (selection == 26) {
            pageRayGun_buy(player)
        }
        if (selection == 27) {
            pageAnaconda_buy(player)
        }
        if (selection == 28) {
            pageSVIBlack_buy(player)
        }
        if (selection == 29) {
            pageSVIRed_buy(player)
        }
    })
}



//Rifles List
function pageRifles() {
    for (const player of world.getPlayers())
		if(player.hasTag("open_rifles")) {
            player.removeTag("open_rifles");
            let formDecoderUNIQUE = new ui.ActionFormData()
            formDecoderUNIQUE.title('⪼ §fRifles§r ⪻')
            formDecoderUNIQUE.body('Select a rifle to buy:')
            formDecoderUNIQUE.button('§4Exit', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
            formDecoderUNIQUE.button('§aAK-74U §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/guns/ak74u') //Second Argument is to show icon on the left side of the button
            formDecoderUNIQUE.button('M14 EBR §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/guns/m14') //Second Argument is to show icon on the left side of the button
            formDecoderUNIQUE.button('TAR-21 §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/guns/tar') //Second Argument is to show icon on the left side of the button
            formDecoderUNIQUE.button('AK-47 §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/guns/ak47') //Second Argument is to show icon on the left side of the button
            formDecoderUNIQUE.button('SCAR §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/items/scar_both') //Second Argument is to show icon on the left side of the button
            formDecoderUNIQUE.button('M4A1 §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/items/m4a1_both') //Second Argument is to show icon on the left side of the button
            formDecoderUNIQUE.button('AN-94 §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/guns/an94') //Second Argument is to show icon on the left side of the button
            formDecoderUNIQUE.button('§4Lightning AR-2 §f§l§o:: §8Vanilla\n§r§cNot Purchasable', 'textures/guns/violin') //Second Argument is to show icon on the left side of the button
            formDecoderUNIQUE.button('§4F2000 §f§l§o:: §8Vanilla\n§r§cNot Purchasable', 'textures/guns/f2000') //Second Argument is to show icon on the left side of the button
            formDecoderUNIQUE.button('§bHoneybadger §f§l§o:: §8Vanilla\n§r§cNot Purchasable', 'textures/guns/honeybadger') //Second Argument is to show icon on the left side of the button
            formDecoderUNIQUE.button('§4OICW §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/items/oicw_both') //Second Argument is to show icon on the left side of the button
            formDecoderUNIQUE.button('SG552 §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/guns/sg552') //Second Argument is to show icon on the left side of the button
            formDecoderUNIQUE.button('AKM §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/guns/akm') //Second Argument is to show icon on the left side of the button
            formDecoderUNIQUE.button('§4AK-60 §f§l§o:: §8Vanilla\n§r§cNot Purchasable', 'textures/guns/ak60') //Second Argument is to show icon on the left side of the button
            formDecoderUNIQUE.button('§aFNC §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/guns/fnc') //Second Argument is to show icon on the left side of the button
            formDecoderUNIQUE.button('§aAS Val §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/guns/val') //Second Argument is to show icon on the left side of the button
            formDecoderUNIQUE.button('§4AK-12 §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/guns/ak12') //Second Argument is to show icon on the left side of the button
            formDecoderUNIQUE.button('§aMK18 §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/guns/mk18') //Second Argument is to show icon on the left side of the button
            formDecoderUNIQUE.button('§aM16A4 §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/guns/m16a4') //Second Argument is to show icon on the left side of the button
            formDecoderUNIQUE.button('§aARX-160 §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/guns/arx') //Second Argument is to show icon on the left side of the button
            formDecoderUNIQUE.button('§4Stun Rifle \n§f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/guns/stun') //Second Argument is to show icon on the left side of the button
            formDecoderUNIQUE.button('§aG11 §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/guns/g11') //Second Argument is to show icon on the left side of the button
            formDecoderUNIQUE.button('§aM16A1 §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/guns/m16a1') //Second Argument is to show icon on the left side of the button
            formDecoderUNIQUE.button('§aStG-44 §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/guns/stg') //Second Argument is to show icon on the left side of the button
            formDecoderUNIQUE.button('§aHK416 §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/items/hk416_both') //Second Argument is to show icon on the left side of the button
            formDecoderUNIQUE.button('§aGroza §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/guns/groza') //Second Argument is to show icon on the left side of the button
            formDecoderUNIQUE.button('§aBAR §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/guns/browning') //Second Argument is to show icon on the left side of the button
            formDecoderUNIQUE.button('§aGarand §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/guns/garand') //Second Argument is to show icon on the left side of the button
            formDecoderUNIQUE.button('AUG §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/guns/aug') //Second Argument is to show icon on the left side of the button
            formDecoderUNIQUE.button('FAMAS §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/guns/famas') //Second Argument is to show icon on the left side of the button
            formDecoderUNIQUE.button('Galil §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/guns/galil') //Second Argument is to show icon on the left side of the button
            formDecoderUNIQUE.button('§4Ethereal §f§l§o:: §8Vanilla\n§r§cNot Purchasable', 'textures/guns/ethereal') //Second Argument is to show icon on the left side of the button
            formDecoderUNIQUE.show(player).then(result => {
                let selection = result.selection
		
                if (selection == 0) {
                    pageWeapons(player)
                }
                if (selection == 1) {
                    pageAK74U_buy(player)
                }
                if (selection == 2) {
                    pageM14_buy(player)
                }
                if (selection == 3) {
                    pageTAR_buy(player)
                }
                if (selection == 4) {
                    pageAK47_buy(player)
                }
                if (selection == 5) {
                    pageSCAR_buy(player)
                }
                if (selection == 6) {
                    pageM4A1_buy(player)
                }
                if (selection == 7) {
                    pageAN94_buy(player)
                }
                if (selection == 8) {
                    pageViolin_buy(player)
                }
                if (selection == 9) {
                    pageF2000_buy(player)
                }
                if (selection == 10) {
                    pageHoneybadger_buy(player)
                }
                if (selection == 11) {
                    pageOICW_buy(player)
                }
                if (selection == 12) {
                    pageSG552_buy(player)
                }
                if (selection == 13) {
                    pageAKM_buy(player)
                }
                if (selection == 14) {
                    pageAK60_buy(player)
                }
                if (selection == 15) {
                    pageFNC_buy(player)
                }
                if (selection == 16) {
                    pageVAL_buy(player)
                }
                if (selection == 17) {
                    pageAK12_buy(player)
                }
                if (selection == 18) {
                    pageMK18_buy(player)
                }
                if (selection == 19) {
                    pageM16A4_buy(player)
                }
                if (selection == 20) {
                    pageARX_buy(player)
                }
                if (selection == 21) {
                    pageStunRifle_buy(player)
                }
                if (selection == 22) {
                    pageG11_buy(player)
                }
                if (selection == 23) {
                    pageM16A1_buy(player)
                }
                if (selection == 24) {
                    pageSTG_buy(player)
                }
                if (selection == 25) {
                    pageHK416_buy(player)
                }
                if (selection == 26) {
                    pageGroza_buy(player)
                }
                if (selection == 27) {
                    pageBrowning_buy(player)
                }
                if (selection == 28) {
                    pageGarand_buy(player)
                }
                if (selection == 29) {
                    pageAUG_buy(player)
                }
                if (selection == 30) {
                    pageFAMAS_buy(player)
                }
                if (selection == 31) {
                    pageGalil_buy(player)
                }
                if (selection == 32) {
                    pageEthereal_buy(player)
                }
            })
    }
}

function pageSnipers() {
    for (const player of world.getPlayers())
		if(player.hasTag("open_snipers")) {
            player.removeTag("open_snipers");
            let formPageSNIPERS = new ui.ActionFormData()
            formPageSNIPERS.title('⪼ §fSnipers§r ⪻')
            formPageSNIPERS.body('Select a sniper to buy:')
            formPageSNIPERS.button('§4Exit', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
            formPageSNIPERS.button('AWP §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/guns/awp') //Second Argument is to show icon on the left side of the button
            formPageSNIPERS.button('Schmidt Scout §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/guns/scout') //Second Argument is to show icon on the left side of the button
            formPageSNIPERS.button('G3SG-1 §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/guns/g3sg1') //Second Argument is to show icon on the left side of the button
            formPageSNIPERS.button('§aMosin Nagant §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/guns/mosin') //Second Argument is to show icon on the left side of the button
            formPageSNIPERS.button('SG-550 §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/guns/sg550') //Second Argument is to show icon on the left side of the button
            formPageSNIPERS.show(player).then(result => {
                let selection = result.selection
		
                if (selection == 0) {
                    pageWeapons(player)
                }
                if (selection == 1) {
                    pageAWP_buy(player)
                }
                if (selection == 2) {
                    pageScout_buy(player)
                }
                if (selection == 3) {
                    pageG3SG1_buy(player)
                }
                if (selection == 4) {
                    pageMosinNagant_buy(player)
                }
                if (selection == 5) {
                    pageSG550_buy(player)
                }
            })
    }
}

function pageAK74U_buy(player) {
	let formDecoderUNIQUE = new ui.ActionFormData()
	formDecoderUNIQUE.title('⪼ §l§fAK-74U§r ⪻')
	formDecoderUNIQUE.body('§c§l* Level 15 is required to buy this weapon!\n\n§r§l§6Variants or Editions available\n§r§l§bFound in Decoders, Structures & Crafting\n§l§9Accuracy is based on recoil\n§l§cFirst shot is not accurate\n\n§r§l§3Description\n§o§7The AK-74u is a compact smg-ar hybrid that works effectively for people who like to shoot in small bursts.§r\n\n§r§l§cSpecifications\n§l§7* Recoil can get extremely high, mind your shots\n§l§7* Lightweight for a rifle\n§l§7* Difficulty: §4✦✦✦✦§f✧\n\n§fPrice: §r§2525 Mileage §f& §a1 Emerald')
    formDecoderUNIQUE.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageRifles(player)
            player.runCommand(
                'function buy_ak74u'
              ),
              player.runCommand(
                'tag @s add open_rifles'
              )
        }
        if (selection == 1) {
            player.runCommand(
                'function rifles_open'
              )      
        }
                if (selection == 2) {
            pageAK74U_skins(player)    
        }
    })
}

function pageAK74U_skins(player) {
	let formDecoderUNIQUE = new ui.ActionFormData()
	formDecoderUNIQUE.title('AK-74u Skins')
	formDecoderUNIQUE.body('§c* You must have an AK-74u in your inventory!\n\nSelect a skin to buy:')
    formDecoderUNIQUE.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
        formDecoderUNIQUE.button('§1S§2k§3i§4n§5s§6!', 'textures/guns/ak74ut') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            player.runCommand(
                'function rifles_open'
              )      
        }
                if (selection == 1) {
            pageAK74U_skins(player)    
        }
    })
}

function pageM14_buy(player) {
	let formDecoderUNIQUE = new ui.ActionFormData()
	formDecoderUNIQUE.title('⪼ §l§fM14 EBR§r ⪻')
	formDecoderUNIQUE.body('§l§c* Level 24 is required to buy this weapon!\n\n§r§l§bFound in Decoders, Structures & Crafting\n§l§9Recoil doesn\'t increase, but the recoil time does\n\n§r§l§3Description\n§o§7High damaging battle rifle, capable of 2-3 shotting unarmored opponents.§r\n\n§r§l§cSpecifications\n§l§7* Highest damage in class\n§l§7* Hitscan\n§l§7* Difficulty: §e✦✦§f✧✧✧\n\n§fPrice: §r§2420 Mileage §f& §c200 Redstone')
    formDecoderUNIQUE.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageRifles(player)
            player.runCommand(
                'function buy_m14'
              ),
              player.runCommand(
                'tag @s add open_rifles'
              )
        }
        if (selection == 1) {
            player.runCommand(
                'function rifles_open'
              )      
        }
    })
}

function pageTAR_buy(player) {
	let formDecoderUNIQUE = new ui.ActionFormData()
	formDecoderUNIQUE.title('⪼ §aCheckout§r ⪻')
	formDecoderUNIQUE.body('§c* Level 30 is required to buy this weapon!\n\n§r§bFound in Decoders, Structures & Crafting\n§9Can scope by sneaking\n§9Has hailing white tracers\n\n§r§3Description:\n§o§4Not complete, check the main menu to see why.§r\n\n§fPrice: §r§2400 Mileage')
    formDecoderUNIQUE.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageRifles(player)
            player.runCommand(
                'function buy_tar'
              ),
              player.runCommand(
                'tag @s add open_rifles'
              )
        }
        if (selection == 1) {
            player.runCommand(
                'function rifles_open'
              )      
        }
    })
}


function pageSG552_buy(player) {
	let formDecoderUNIQUE = new ui.ActionFormData()
	formDecoderUNIQUE.title('⪼ §aCheckout§r ⪻')
	formDecoderUNIQUE.body('§r§b§lFound in Decoders, Structures & Crafting\n§9Can scope by sneaking\n§cRecoil increases when scoping\n§cDecreased rate of fire when scoping\n\n§r§l§3Description\n§o§7The Terrorist\'s choice for the scoped assault rifle.§r\n\n§r§l§cSpecifications\n§l§7* Takes a while to get inaccurate when shooting\n§l§7* Mind your recoil when scoping\n§l§7* Difficulty: §e✦✦§f✧✧✧\n\n§fPrice: §r§2330 Mileage')
    formDecoderUNIQUE.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageRifles(player)
            player.runCommand(
                'function buy_sg552'
              ),
              player.runCommand(
                'tag @s add open_rifles'
              )
        }
        if (selection == 1) {
            player.runCommand(
                'function rifles_open'
              )      
        }
    })
}

function pageAUG_buy(player) {
	let formDecoderUNIQUE = new ui.ActionFormData()
	formDecoderUNIQUE.title('⪼ §l§fAUG§r ⪻')
	formDecoderUNIQUE.body('§r§b§lFound in Decoders, Structures & Crafting\n§9Can scope by sneaking\n§cRecoil increases when scoping\n§cDecreased rate of fire when scoping\n\n§r§l§3Description\n§o§7The Counter-Terrorist\'s choice for the scoped assault rifle.§r\n\n§r§l§cSpecifications\n§l§7* Takes a while to get inaccurate when shooting\n§l§7* Mind your recoil when scoping\n§l§7* Difficulty: §e✦✦§f✧✧✧\n\n§fPrice: §r§2500 Mileage')
    formDecoderUNIQUE.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageRifles(player)
            player.runCommand(
                'function buy_aug'
              ),
              player.runCommand(
                'tag @s add open_rifles'
              )
        }
        if (selection == 1) {
            player.runCommand(
                'function rifles_open'
              )      
        }
    })
}

function pageF2000_buy(player) {
	let formDecoderUNIQUE = new ui.ActionFormData()
	formDecoderUNIQUE.title('⪼ §aCheckout§r ⪻')
	formDecoderUNIQUE.body('§c* Level 40 is required to buy this weapon!\n\n§r§bFound in Bingo, Decoders & Structures\n§9Can scope by sneaking\n§cFirst shot is not accurate\n§cAccuracy is random\n\n§r§3Description:\n§o§4Not complete, check the main menu to see why.')
    formDecoderUNIQUE.button('Okay', 'textures/ui/lol6') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            player.runCommand(
                'function rifles_open'
              )      
        }
    })
}

function pageViolin_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('⪼ §aCheckout§r ⪻')
	formPistols.body('§r§bFound in Bingo, Decoders & Structures\n§9Will play a nice melody for you when idling and not shooting\n\n§r§3Description:\n§o§4Not complete, check the main menu to see why.')
    formPistols.button('Okay', 'textures/ui/lol5') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            player.runCommand(
                'function rifles_open'
              )      
        }
    })
}

function pageAK60_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('⪼ §l§fAK-60§r ⪻')
	formPistols.body('§r§l§6Variants or Editions available\n§r§l§bFound in Bingo, Decoders & Structures\n§l§9Can scope by sneaking\n\n§r§l§3Description\n§o§7This scope-able Kalashnikov variant deals more damage and is more accurate than it\'s brothers. It also holds more ammo, lower recoil, at the cost of spending hours of your life trying to obtain it.§r\n\n§r§l§cSpecifications\n§l§7* Best in class!\n§l§7* Difficulty: §a✧§f✧✧✧✧\n\nNote: no need to have shame - you\'ve earned it!')
    formPistols.button('Okay', 'textures/ui/lol10') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            player.runCommand(
                'function rifles_open'
              )      
        }
    })
}

function pageEthereal_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('⪼ §l§fEthereal§r ⪻')
	formPistols.body('§r§l§bFound in Bingo\n§l§9Accuracy is based on recoil\n§l§9Incendiary rounds\n§l§9Has special tracers\n\n§r§l§3Description\n§o§7Manufactured to destroy zombies. Sets enemies on fire.§r\n\n§r§l§cSpecifications\n§l§7* Keep your crosshair on targets when spraying\n§l§7* Overall great for a Bingo exclusive weapon\n§l§7* Difficulty: §a✦§f✧✧✧✧')
    formPistols.button('Okay', 'textures/ui/lol10') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            player.runCommand(
                'function rifles_open'
              )      
        }
    })
}

function pageAK47_buy(player) {
	let formDecoderUNIQUE = new ui.ActionFormData()
	formDecoderUNIQUE.title('⪼ §l§fAK-47§r ⪻')
	formDecoderUNIQUE.body('§r§l§6Variants or Editions available\n§bFound in Decoders & Crafting\n\n§r§l§3Description\n§o§7The classic starting rifle for the Terrorists.§r\n\n§r§l§cSpecifications\n§l§7* The classic, high recoil yet accurate deadly workhouse\n§l§7* Very high damage for a rifle\n§l§7* Difficulty: §4✦✦✦✦§f✧\n\n§fPrice: §r§2400 Mileage')
    formDecoderUNIQUE.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageRifles(player)
            player.runCommand(
                'function buy_ak47'
              ),
              player.runCommand(
                'tag @s add open_rifles'
              )
        }
        if (selection == 1) {
            player.runCommand(
                'function rifles_open'
              )      
        }
    })
}

function pageAWP_buy(player) {
	let formDecoderUNIQUE = new ui.ActionFormData()
	formDecoderUNIQUE.title('⪼ §l§fAWP§r ⪻')
	formDecoderUNIQUE.body('§r§l§6Variants or Editions available\n§bFound in Decoders & Crafting\n§cHas 2 random damage values\n\n§r§l§3Description\n§o§7High risk and high reward, the infamous AWP is recognizable by its signature report and one-shot, one-kill policy. It is one of the most used weapons in the Counter-Strike history due to its unrivaled effectiveness.\n\n§r§l§cSpecifications\n§l§7* §4Red Edition§7 is a guaranteed one-shot kill\n§l§7* Devastating power for the confident sniper\n§l§7* Difficulty: §6✦✦✦§f✧✧\n\n§fPrice: §r§21,000 Mileage')
    formDecoderUNIQUE.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageSnipers(player)
            player.runCommand(
                'function buy_awp'
              ),
              player.runCommand(
                'tag @s add open_snipers'
              )
        }
        if (selection == 1) {
            player.runCommand(
                'function snipers_open'
              )      
        }
    })
}

function pageG3SG1_buy(player) {
	let formDecoderUNIQUE = new ui.ActionFormData()
	formDecoderUNIQUE.title('⪼ §l§fG3SG1§r ⪻')
	formDecoderUNIQUE.body('§l§bFound in Decoders & Crafting\n\n§r§l§3Description\n§o§7Low risk and high reward, the G3SG1 is a semi-automatic sniper rifle which does high damage on par with the AK-47.\n\n§r§l§cSpecifications\n§l§7* Scope level: 8/10\n§l§7* Very low velocity!\n§l§7* Difficulty: §e✦✦§f✧✧✧\n\n§fPrice: §r§21,300 Mileage')
    formDecoderUNIQUE.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageSnipers(player)
            player.runCommand(
                'function buy_g3sg1'
              ),
              player.runCommand(
                'tag @s add open_snipers'
              )
        }
        if (selection == 1) {
            player.runCommand(
                'function snipers_open'
              )      
        }
    })
}

function pageSG550_buy(player) {
	let formDecoderUNIQUE = new ui.ActionFormData()
	formDecoderUNIQUE.title('⪼ §l§fSG550§r ⪻')
	formDecoderUNIQUE.body('§l§bFound in Decoders & Crafting\n§l§cFirst shot is not accurate\n§l§cAccuracy is random\n\n§r§l§3Description\n§o§7Low risk and high reward, the SG-550 is a semi-automatic sniper rifle which does high damage on par with the Galil and lacks the traditional rage bar at the expense of your accuracy being based on a number range / random.\n\n§r§l§cSpecifications\n§l§7* Scope level: 8/10\n§l§7* Hitscan!\n§l§7* Difficulty: §e✦✦§f✧✧✧\n\n§fPrice: §r§21,300 Mileage')
    formDecoderUNIQUE.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageSnipers(player)
            player.runCommand(
                'function buy_sg550'
              ),
              player.runCommand(
                'tag @s add open_snipers'
              )
        }
        if (selection == 1) {
            player.runCommand(
                'function snipers_open'
              )      
        }
    })
}

function pageScout_buy(player) {
	let formDecoderUNIQUE = new ui.ActionFormData()
	formDecoderUNIQUE.title('⪼ §l§fSchmidt Scout§r ⪻')
	formDecoderUNIQUE.body('§r§l§6Variants or Editions available\n§bFound in Decoders & Crafting\n§l§cHas damage drop-off at long distances\n§9Jump-scout ability\n\n§r§l§3Description\n§o§7Broke man\'s AWP, the Scout is a bolt-action sniper rifle which does moderate damage, however it is light in terms of weight.\n\n§r§l§cSpecifications\n§l§7* Great ammo reserve\n§l§7* Scoping & shooting midair is not a bad idea!\n§l§7* Difficulty: §4✦✦✦✦§f✧\n\n§fPrice: §r§2750 Mileage')
    formDecoderUNIQUE.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageSnipers(player)
            player.runCommand(
                'function buy_scout'
              ),
              player.runCommand(
                'tag @s add open_snipers'
              )
        }
        if (selection == 1) {
            player.runCommand(
                'function snipers_open'
              )      
        }
    })
}

function pageMosinNagant_buy(player) {
	let formDecoderUNIQUE = new ui.ActionFormData()
	formDecoderUNIQUE.title('⪼ §l§fMosin Nagant§r ⪻')
	formDecoderUNIQUE.body('§r§l§bFound in Decoders & Crafting\n§9Shotgun reload mechanic\n\n§r§l§3Description\n§o§7The fan favourite Mosin Nagant is a cheap, aging bolt-action sniper rifle that can help in tough or swarmy situations thanks to it\'s unique reloading mechanic.\n\n§r§l§cSpecifications\n§l§7* Scope level: 5/10\n§l§7* Very low velocity!\n§l§7* Difficulty: §6✦✦✦§f✧✧\n\n§fPrice: §r§2400 Mileage')
    formDecoderUNIQUE.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageSnipers(player)
            player.runCommand(
                'function buy_mosin'
              ),
              player.runCommand(
                'tag @s add open_snipers'
              )
        }
        if (selection == 1) {
            player.runCommand(
                'function snipers_open'
              )      
        }
    })
}

function pageAKM_buy(player) {
	let formDecoderUNIQUE = new ui.ActionFormData()
	formDecoderUNIQUE.title('⪼ §l§fAKM§r ⪻')
	formDecoderUNIQUE.body('§l§c* Level 15 is required to buy this weapon!\n\n§r§l§6Variants or Editions available\n§r§l§bFound in Decoders, Structures & Crafting\n\n§r§l§3Description\n§o§7The AKM is a lower damaging AK-47 variant with less recoil and higher accuracy whilst shooting in small bursts, but it\'s not wise to full-auto in comparison.§r\n\n§r§l§cSpecifications\n§l§7* Looking for something familiar yet fresh?\n§l§7* Higher damage than average\n§l§7* Difficulty: §6✦✦✦§f✧✧\n\n§fPrice: §r§2440 Mileage')
    formDecoderUNIQUE.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageRifles(player)
            player.runCommand(
                'function buy_akm'
              ),
              player.runCommand(
                'tag @s add open_rifles'
              )
        }
        if (selection == 1) {
            player.runCommand(
                'function rifles_open'
              )      
        }
    })
}

function pageFNC_buy(player) {
	let formDecoderUNIQUE = new ui.ActionFormData()
	formDecoderUNIQUE.title('⪼ §l§fFNC§r ⪻')
	formDecoderUNIQUE.body('§c* Level 15 is required to buy this weapon!\n\n§l§bFound in Decoders, Structures & Crafting\n§l§cBouncy recoil mechanic when shot in slow bursts\n\n§l§3Description\n§l§o§hGalil\'s lost brother.\n\n§r§l§cSpecifications\n§l§7* Decent recoil compared to others\n§l§7* A cheap alternative\n§l§7* Difficulty: §e✦✦§f✧✧✧\n\n§fPrice: §r§2240 Mileage')
    formDecoderUNIQUE.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageRifles(player)
            player.runCommand(
                'function buy_fnc'
              ),
              player.runCommand(
                'tag @s add open_rifles'
              )
        }
        if (selection == 1) {
            player.runCommand(
                'function rifles_open'
              )      
        }
    })
}

function pageG11_buy(player) {
	let formDecoderUNIQUE = new ui.ActionFormData()
	formDecoderUNIQUE.title('⪼ §l§fG11§r ⪻')
	formDecoderUNIQUE.body('§l§bFound in Decoders, Structures & Crafting\n§9To auto/burst, simply hit ground/air\n§9Can scope by sneaking\n§l§9Deals more damage in burst\n\n§l§3Description\n§l§o§hHK G11 is an innovative assault rifle developed by German Heckler & Koch company that holds 50 rounds for each magazine. The secondary fire mode activates 3-round burst fire. Generally, this weapon has a very high rate of fire for an assault rifle, more on par with the SMGs.\n\n§r§l§cSpecifications\n§l§7* Precise, deadly in the right hands\n§l§7* Scoped burst rifle\n§l§7* Difficulty: §e✦✦§f✧✧✧\n\n§fPrice: §r§2550 Mileage')
    formDecoderUNIQUE.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageRifles(player)
            player.runCommand(
                'function buy_g11'
              ),
              player.runCommand(
                'tag @s add open_rifles'
              )
        }
        if (selection == 1) {
            player.runCommand(
                'function rifles_open'
              )      
        }
    })
}

function pageFAMAS_buy(player) {
	let formDecoderUNIQUE = new ui.ActionFormData()
	formDecoderUNIQUE.title('⪼ §l§fFAMAS§r ⪻')
	formDecoderUNIQUE.body('§l§bFound in Decoders, Structures & Crafting\n§l§9To auto/burst, place the famas in the crafting grid\n§l§9Deals more damage in burst\n§l§cWobbly recoil\n\n§l§3Description\n§l§o§hThe FAMAS is capable of full auto or burst fire, the choice is yours.§r\n\n§r§l§cSpecifications\n§l§7* Precise first shot in burst mode\n§l§7* A cheap alternative\n§l§7* Difficulty: §6✦✦✦§f✧✧\n\n§fPrice: §r§2320 Mileage')
    formDecoderUNIQUE.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageRifles(player)
            player.runCommand(
                'function buy_famas'
              ),
              player.runCommand(
                'tag @s add open_rifles'
              )
        }
        if (selection == 1) {
            player.runCommand(
                'function rifles_open'
              )      
        }
    })
}

function pageGalil_buy(player) {
	let formDecoderUNIQUE = new ui.ActionFormData()
	formDecoderUNIQUE.title('⪼ §l§fIMI Galil§r ⪻')
	formDecoderUNIQUE.body('§r§l§bFound in Decoders, Structures & Crafting\n§l§cBullet offset increases\n§l§cRecoil time increases dramatically\n§l§cHas damage drop-off at long distances\n\n§r§l§3Description\n§o§7Galil can hold up to 35 rounds at a time which is more rounds than most assault rifles. It is an alternative assault rifle to the AK-47 and cheaper than its counter-terrorist counterpart, the FAMAS.§r\n\n§r§l§cSpecifications\n§l§7* Shaky recoil, avoid full auto\n§l§7* Slightly above average damage & ammo capacity for a rifle\n§l§7* Difficulty: §4✦✦✦✦§f✧\n\n§fPrice: §r§2250 Mileage')
    formDecoderUNIQUE.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageRifles(player)
            player.runCommand(
                'function buy_galil'
              ),
              player.runCommand(
                'tag @s add open_rifles'
              )
        }
        if (selection == 1) {
            player.runCommand(
                'function rifles_open'
              )      
        }
    })
}

function pageM16A1_buy(player) {
	let formDecoderUNIQUE = new ui.ActionFormData()
	formDecoderUNIQUE.title('⪼ §aCheckout§r ⪻')
	formDecoderUNIQUE.body('§l§c* Level 15 is required to buy this weapon!\n\n§r§l§bFound in Decoders, Structures & Crafting\n§l§9To auto/semi, simply hit ground/air\n§l§9Deals more damage in semi\n§l§9Recoil doesn\'t increase, but the recoil time does\n§l§cBullet offset increases\n\n§r§l§3Description\n§o§7The M16A1 is capable of full auto or semi auto, the choice is yours.§r\n\n§r§l§cSpecifications\n§l§7* Pull down gently to compensate for bullet offset\n§l§7* Freakishly precise first-shot accuracy when sneaking\n§l§7* Difficulty: §e✦✦§f✧✧✧\n\n§fPrice: §r§2450 Mileage')
    formDecoderUNIQUE.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageRifles(player)
            player.runCommand(
                'function buy_m16a1'
              ),
              player.runCommand(
                'tag @s add open_rifles'
              )
        }
        if (selection == 1) {
            player.runCommand(
                'function rifles_open'
              )      
        }
    })
}

function pageSTG_buy(player) {
	let formDecoderUNIQUE = new ui.ActionFormData()
	formDecoderUNIQUE.title('⪼ §aCheckout§r ⪻')
	formDecoderUNIQUE.body('§c* Level 20 is required to buy this weapon!\n\n§r§bFound in Decoders, Structures & Crafting\n§cHas teleport recoil\n§9Can be enhanced\n\n§r§3Description:\n§o§4Not complete, check the main menu to see why.§r\n\n§fPrice: §r§2550 Mileage')
    formDecoderUNIQUE.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageRifles(player)
            player.runCommand(
                'function buy_stg'
              ),
              player.runCommand(
                'tag @s add open_rifles'
              )
        }
        if (selection == 1) {
            player.runCommand(
                'function rifles_open'
              )      
        }
    })
}

function pageMK18_buy(player) {
	let formDecoderUNIQUE = new ui.ActionFormData()
	formDecoderUNIQUE.title('⪼ §aCheckout§r ⪻')
	formDecoderUNIQUE.body('§c* Level 20 is required to buy this weapon!\n\n§r§bFound in Decoders, Structures & Crafting\n§cHas teleport recoil\n\n§r§3Description:\n§o§4Not complete, check the main menu to see why.§r\n\n§fPrice: §r§2320 Mileage')
    formDecoderUNIQUE.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageRifles(player)
            player.runCommand(
                'function buy_mk18'
              ),
              player.runCommand(
                'tag @s add open_rifles'
              )
        }
        if (selection == 1) {
            player.runCommand(
                'function rifles_open'
              )      
        }
    })
}

function pageM16A4_buy(player) {
	let formDecoderUNIQUE = new ui.ActionFormData()
	formDecoderUNIQUE.title('⪼ §aCheckout§r ⪻')
	formDecoderUNIQUE.body('§c* Level 25 is required to buy this weapon!\n\n§r§bFound in Decoders, Structures & Crafting\n\n§r§3Description:\n§o§4Not complete, check the main menu to see why.§r\n\n§fPrice: §r§2400 Mileage')
    formDecoderUNIQUE.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageRifles(player)
            player.runCommand(
                'function buy_m16a4'
              ),
              player.runCommand(
                'tag @s add open_rifles'
              )
        }
        if (selection == 1) {
            player.runCommand(
                'function rifles_open'
              )      
        }
    })
}

function pageARX_buy(player) {
	let formDecoderUNIQUE = new ui.ActionFormData()
	formDecoderUNIQUE.title('⪼ §aCheckout§r ⪻')
	formDecoderUNIQUE.body('§c* Level 35 is required to buy this weapon!\n\n§r§bFound in Decoders, Structures & Crafting\n§9Can scope by sneaking\n\n§r§3Description:\n§o§4Not complete, check the main menu to see why.§r\n\n§fPrice: §r§2470 Mileage')
    formDecoderUNIQUE.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageRifles(player)
            player.runCommand(
                'function buy_arx'
              ),
              player.runCommand(
                'tag @s add open_rifles'
              )
        }
        if (selection == 1) {
            player.runCommand(
                'function rifles_open'
              )      
        }
    })
}

function pageStunRifle_buy(player) {
	let formDecoderUNIQUE = new ui.ActionFormData()
	formDecoderUNIQUE.title('⪼ §l§fStun Rifle§r ⪻')
	formDecoderUNIQUE.body('§r§l§bFound in Decoders\n§l§9Stuns nearby entities and players when user is reloading\n§l§cNeeds charging\n\n§r§l§3Description\n§o§l§7Originally just a regular K1A submachine gun, it truly showed it\'s capability to become an assault rifle through rigorous experiments. It has been upgraded with an electronic core that unleashes an electric attack to everyone nearby that stretches during reloading time.§r\n\n§r§l§cSpecifications\n§l§7* Taser Knife in inventory speeds up the charging 2x\n§l§7* Hold to charge, try not to engage often\n§l§7* Difficulty: §5✦✦✦✦✦\n\n§fPrice: §r§21,200 Mileage')
    formDecoderUNIQUE.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageRifles(player)
            player.runCommand(
                'function buy_stunrifle'
              ),
              player.runCommand(
                'tag @s add open_rifles'
              )
        }
        if (selection == 1) {
            player.runCommand(
                'function rifles_open'
              )      
        }
    })
}

function pageVAL_buy(player) {
	let formDecoderUNIQUE = new ui.ActionFormData()
	formDecoderUNIQUE.title('⪼ §aCheckout§r ⪻')
	formDecoderUNIQUE.body('§c* Level 50 is required to buy this weapon!\n\n§r§bFound in Bingo & Decoders\n\n§r§3Description\n§o§7A Soviet-designed rifle featuring an integrated suppressor. Doesn\'t produce smoke.§r\n\n§r§cStats\n§7Damage: §815\n§7Range: §8128\n§7Mobility: §83.10 M/S | 4.04 M/S\n§7Reload: §83.4s\n§7Accurate Range: §837m\n§7Fire Rate: §8600 RPM\n\n§fPrice: §r§2400 Mileage')
    formDecoderUNIQUE.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageRifles(player)
            player.runCommand(
                'function buy_val'
              ),
              player.runCommand(
                'tag @s add open_rifles'
              )
        }
        if (selection == 1) {
            player.runCommand(
                'function rifles_open'
              )      
        }
    })
}

function pageAK12_buy(player) {
	let formDecoderUNIQUE = new ui.ActionFormData()
	formDecoderUNIQUE.title('⪼ §l§fAK-12§r ⪻')
	formDecoderUNIQUE.body('§l§c* Level 70 is required to buy this weapon!\n\n§r§l§bFound in Decoders\n§l§9Has special tracers\n\n§r§l§3Description\n§o§7Hailing from CSO\'s sequel; the AK-12 has forgiving recoil and great accuracy, with an addition of tracers to know where you\'re shooting.§r\n\n§r§l§cSpecifications\n§l§7* Higher damage than average\n§l§7* Forgiving for a Kalashnikov rifle\n§l§7* Difficulty: §a✦§f✧✧✧✧\n\n§fPrice: §r§2480 Mileage')
    formDecoderUNIQUE.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageRifles(player)
            player.runCommand(
                'function buy_ak12'
              ),
              player.runCommand(
                'tag @s add open_rifles'
              )
        }
        if (selection == 1) {
            player.runCommand(
                'function rifles_open'
              )      
        }
    })
}

function pageSCAR_buy(player) {
	let formDecoderUNIQUE = new ui.ActionFormData()
	formDecoderUNIQUE.title('⪼ §l§fSCAR§r ⪻')
	formDecoderUNIQUE.body('§r§l§bFound in Decoders, Structures & Crafting\n§l§9To change gun modes, place the SCAR in the crafting grid\n§l§9Heavy & Light modes have their seperate ammo\n\n§r§l§3Description\n§o§7Modular assault rifle, capable of changing gun modes to Light or Heavy.§r\n\n§r§l§cSpecifications\n§l§7* Light: §a+ammo§f, §c-damage§f, §c+recoil§f, §a-weight\n§l§7* Heavy: §c-ammo§f, §a+damage§f, §a-recoil§f, §c+weight\n§l§7* Difficulty: §6✦✦✦§f✧✧\n\n§fPrice: §r§2900 Mileage')
    formDecoderUNIQUE.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageRifles(player)
            player.runCommand(
                'function buy_scar'
              ),
              player.runCommand(
                'tag @s add open_rifles'
              )
        }
        if (selection == 1) {
            player.runCommand(
                'function rifles_open'
              )      
        }
    })
}

function pageOICW_buy(player) {
	let formDecoderUNIQUE = new ui.ActionFormData()
	formDecoderUNIQUE.title('⪼ §aCheckout§r ⪻')
	formDecoderUNIQUE.body('§c* Level 25 is required to buy this weapon!\n\n§r§bFound in Decoders\n§9To change gun modes, simply sneak\n\n§r§3Description:\n§o§4Not complete, check the main menu to see why.§r\n\n§fPrice: §r§2600 Mileage §f& §a1 Emerald')
    formDecoderUNIQUE.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageRifles(player)
            player.runCommand(
                'function buy_oicw'
              ),
              player.runCommand(
                'tag @s add open_rifles'
              )
        }
        if (selection == 1) {
            player.runCommand(
                'function rifles_open'
              )      
        }
    })
}

function pageM4A1_buy(player) {
	let formDecoderUNIQUE = new ui.ActionFormData()
	formDecoderUNIQUE.title('⪼ §l§fM4A1§r ⪻')
	formDecoderUNIQUE.body('§r§l§6Variants or Editions available\n§l§bFound in Decoders, Structures & Crafting\n§l§9To silence/unsilence, place the M4A1 in the crafting grid\n§l§9Deals more damage when silenced\n§l§cRange decreases when silenced\n\n§r§l§3Description\n§o§7The classic starting rifle for the Counter-Terrorists.§r\n\n§r§l§cSpecifications\n§l§7* Play depending on your playstyle\n§l§7* Moderate damage for a rifle\n§l§7* Difficulty: §6✦✦✦§f✧✧\n\n§fPrice: §r§2470 Mileage')
    formDecoderUNIQUE.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageRifles(player)
            player.runCommand(
                'function buy_m4a1'
              ),
              player.runCommand(
                'tag @s add open_rifles'
              )
        }
        if (selection == 1) {
            player.runCommand(
                'function rifles_open'
              )      
        }
    })
}

function pageHK416_buy(player) {
	let formDecoderUNIQUE = new ui.ActionFormData()
	formDecoderUNIQUE.title('⪼ §aCheckout§r ⪻')
	formDecoderUNIQUE.body('§r§bFound in Decoders, Structures & Crafting\n§9To silence/unsilence, place the HK416 in the crafting grid\n\n§r§3Description:\n§o§4Not complete, check the main menu to see why.§r\n\n§fPrice: §r§2400 Mileage')
    formDecoderUNIQUE.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageRifles(player)
            player.runCommand(
                'function buy_hk416'
              ),
              player.runCommand(
                'tag @s add open_rifles'
              )
        }
        if (selection == 1) {
            player.runCommand(
                'function rifles_open'
              )      
        }
    })
}

function pageBrowning_buy(player) {
	let formDecoderUNIQUE = new ui.ActionFormData()
	formDecoderUNIQUE.title('⪼ §l§fBAR§r ⪻')
	formDecoderUNIQUE.body('§r§l§bFound in Decoders, Structures & Crafting\n\n§r§l§3Description\n§o§7WW2\'s destructive powerhouse for sometime. For all it\'s worth, it still holds up pretty well!\n\n§r§l§cSpecifications\n§l§7* Slow firing, yet powerful\n§l§7* Heaviest in class\n§l§7* Difficulty: §a✦§f✧✧✧✧\n\n§fPrice: §r§2380 Mileage')
    formDecoderUNIQUE.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageRifles(player)
            player.runCommand(
                'function buy_browning'
              ),
              player.runCommand(
                'tag @s add open_rifles'
              )
        }
        if (selection == 1) {
            player.runCommand(
                'function rifles_open'
              )      
        }
    })
}

function pageGroza_buy(player) {
	let formDecoderUNIQUE = new ui.ActionFormData()
	formDecoderUNIQUE.title('⪼ §aCheckout§r ⪻')
	formDecoderUNIQUE.body('§r§bFound in Decoders, Structures & Crafting\n§9Recoil doesn\'t increase, but the recoil time does\n§cHas teleport recoil\n\n§r§3Description:\n§o§4Not complete, check the main menu to see why.§r\n\n§fPrice: §r§2360 Mileage')
    formDecoderUNIQUE.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageRifles(player)
            player.runCommand(
                'function buy_groza'
              ),
              player.runCommand(
                'tag @s add open_rifles'
              )
        }
        if (selection == 1) {
            player.runCommand(
                'function rifles_open'
              )      
        }
    })
}

function pageGarand_buy(player) {
	let formDecoderUNIQUE = new ui.ActionFormData()
	formDecoderUNIQUE.title('⪼ §l§fM1 Garand§r ⪻')
	formDecoderUNIQUE.body('§r§l§bFound in Decoders, Structures & Crafting\n§l§cYou need to deplete all your ammo to reload\n§cAccuracy is random\n\n§r§l§3Description\n§o§7Semi auto WW2 terror-spreading rifle. Ping!§r\n\n§r§l§cSpecifications\n§l§7* Slowest rate of fire in class\n§l§7* Mild reloading speed\n§l§7* Difficulty: §a✦§f✧✧✧✧\n\n§fPrice: §r§2340 Mileage')
    formDecoderUNIQUE.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageRifles(player)
            player.runCommand(
                'function buy_garand'
              ),
              player.runCommand(
                'tag @s add open_rifles'
              )
        }
        if (selection == 1) {
            player.runCommand(
                'function rifles_open'
              )      
        }
    })
}

function pageAN94_buy(player) {
	let formDecoderUNIQUE = new ui.ActionFormData()
	formDecoderUNIQUE.title('⪼ §l§fAN-94§r ⪻')
	formDecoderUNIQUE.body('§l§bFound in Decoders, Structures & Crafting\n\n§l§3Description\n§l§o§hKalashnikov burst rifle.\n\n§r§l§cSpecifications\n§l§7* Precise, deadly in the right hands\n§l§7* 2-bullet burst\n§l§7* Difficulty: §a✦§f✧✧✧✧\n\n§fPrice: §2520 Mileage')
    formDecoderUNIQUE.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageRifles(player)
            player.runCommand(
                'function buy_an94'
              ),
              player.runCommand(
                'tag @s add open_rifles'
              )
        }
        if (selection == 1) {
            player.runCommand(
                'function rifles_open'
              )      
        }
    })
}


function pageHoneybadger_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('⪼ §aCheckout§r ⪻')
	formPistols.body('§r§bFound in Bingo, Decoders & Structures\n§9Has no tracers\n\n§r§3Description:\n§o§4Not complete, check the main menu to see why.§r')
    formPistols.button('Okay', 'textures/ui/lol7') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            player.runCommand(
                'function rifles_open'
              )      
        }
    })
}



function pageMileage_store(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('⪼ §aCheckout§r ⪻')
	formPistols.body('§o§7You can only store/withdraw §a64 Mileage§7 at a time.')
    formPistols.button('§aStore', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formPistols.button('§2Withdraw', 'textures/ui/wiki') //Second Argument is to show icon on the left side of the button
    formPistols.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageStorage(player)
            player.runCommand(
                'function store_mileage'
              )
        }
        if (selection == 1) {
            pageStorage(player)
            player.runCommand(
                'function withdraw_mileage'
              )
        }
        if (selection == 2) {
            pageStorage(player)
        }
    })
}


function pageDeathNote(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('⪼ §aCheckout§r ⪻')
	formPistols.body('§o§7Coordinates of where you died will be displayed to you.\n\n§r§fPrice: §r§2400 Mileage')
    formPistols.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formPistols.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pagePerks(player)
            player.runCommand(
                'function buy_deathnote'
              )
        }
        if (selection == 1) {
            pagePerks(player)
        }
    })
}



function pageMedicalTable(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('⪼ §iShelter §f-§r §mMedical Table§r ⪻')
	formPistols.body('§r§c* Make sure you have §4Tomahawk§r§c, §4Crowbar§r§c or §4Kukri§r§c to build and repair!\n\n§o§7Nearby healing to players and mobs when jumping on the table. Slightly fragile, handle with care!\n\n§r§hSpawn Egg will drop upon death (player-only) once it\'s fully built, otherwise nothing drops!\n\n§r§hSneak and hit to §cattack§h, Unsneak and hit to §qrepair\n\n§r§hProjectile / Bullet damage is halved\n\n§r§fPrice: §r§f1000 Points')
    formPistols.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formPistols.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageShelter(player)
            player.runCommand(
                'function buy_medicaltable'
              )
        }
        if (selection == 1) {
            pageShelter(player)
        }
    })
}

function pageLD() {
	let players = world.getPlayers();
	for(let player of players) {
	let isBuy = player.hasTag("living_death_perk_buy_open");
	if(isBuy == true) {
    player.removeTag("living_death_perk_buy_open");
    let formPistols = new ui.ActionFormData()
	formPistols.title('Living Death - §2Already Purchased')
	formPistols.body('§o§7Explode upon death.\n\n§r§fYou can either back out of this page or de-activate the ability. You can still use it anytime when you re-activate it.')
    formPistols.button('§aDe-activate', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formPistols.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pagePerks(player)
            player.runCommand(
                'function revoke_ld'
              )
        }
        if (selection == 1) {
            pagePerks(player)
        }
    })
}
}
}

function pageLD_active() {
	let players = world.getPlayers();
	for(let player of players) {
	let isBuy = player.hasTag("living_death_perk_buy_open2");
	if(isBuy == true) {
    player.removeTag("living_death_perk_buy_open2");
    let formPistols = new ui.ActionFormData()
	formPistols.title('Living Death - §2Already Purchased')
	formPistols.body('§o§7Explode upon death.\n\n§r§fYou can either back out of this page or activate the ability.')
    formPistols.button('§aActivate', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formPistols.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pagePerks(player)
            player.runCommand(
                'function active_ld'
              )
        }
        if (selection == 1) {
            pagePerks(player)
        }
    })
}
}
}


function pageLD_not() {
	let players = world.getPlayers();
	for(let player of players) {
	let isBuy = player.hasTag("living_death_perk_not_buy_open");
	if(isBuy == true) {
    player.removeTag("living_death_perk_not_buy_open");
    let formPistols = new ui.ActionFormData()
	formPistols.title('⪼ §aCheckout§r ⪻')
	formPistols.body('§o§7Explode upon death.\n\n§r§fPrice: §r§2400 Mileage')
    formPistols.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formPistols.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pagePerks(player)
            player.runCommand(
                'function buy_ld'
              )
        }
        if (selection == 1) {
            pagePerks(player)
        }
    })
}
}
}

function pageQF(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('⪼ §aCheckout§r ⪻')
	formPistols.body('§o§7Healing upon killing a mob or a player.\n\n§r§fPrice: §r§2650 Mileage')
    formPistols.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formPistols.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pagePerks(player)
            player.runCommand(
                'function buy_qf'
              )
        }
        if (selection == 1) {
            pagePerks(player)
        }
    })
}

function pageSealKnife_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('⪼ §l§fSeal Knife§r ⪻')
	formPistols.body('§l§6Variants or Editions available\n§bFound in Decoders & Structures\n§9Faster base movement\n\n§3Description\n§o§hLightweight and somewhat deadly, this iconic knife has sealed countless duels across generations.\n\n§r§l§cSpecifications ✎\n§l§7* Special: Stab\n§l§7* Damage: 17 / 34\n§l§7* Range: 5 / 3.3 (blocks)\n§l§7* Cooldown: 0.25 / 1.0 (seconds)\n§l§7* Durability: 250\n\n§fPrice: §r§250 Mileage')
    formPistols.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formPistols.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageMelees(player)
            player.runCommand(
                'function buy_seal'
              )
        }
        if (selection == 1) {
            pageMelees(player)
        }
    })
}

function pageStG44_enhance(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('⪼ §l§fStG-44§r ⪻')
	formPistols.body('§r§l§cSpecifications ✎\n§l§7* §4Damage§f: ✧✧✧✧\n§l§7* §6Recoil§f: ✧✧\n§l§7* §1Weight§f: ✧✧✧✧✧\n§l§7* §aAmmo§f: ✧✧✧✧✧✧\n§l§7* §2Accuracy§f: ✧✧✧\n§l§7* §8Rate of Fire§f: ✧✧✧')
    formPistols.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formPistols.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageMelees(player)
            player.runCommand(
                'function buy_seal'
              )
        }
        if (selection == 1) {
            pageMelees(player)
        }
    })
}

function pageColdSteel_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('⪼ §l§fCold Steel Knife§r ⪻')
	formPistols.body('§l§bFound in Decoders & Structures\n§9Faster base movement\n\n§3Description\n§o§hThe Cold Steel Knife has the same stats as the Seal knife. It is the default knife for all ladies.\n\n§r§l§cSpecifications ✎\n§l§7* Special: Stab\n§l§7* Damage: 17 / 34\n§l§7* Range: 5 / 3.3 (blocks)\n§l§7* Cooldown: 0.25 / 1.0 (seconds)\n§l§7* Durability: 250\n\n§fPrice: §r§250 Mileage')
    formPistols.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formPistols.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageMelees(player)
            player.runCommand(
                'function buy_coldsteel'
              )
        }
        if (selection == 1) {
            pageMelees(player)
        }
    })
}

function pageBalisong_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('⪼ §l§fBalisong§r ⪻')
	formPistols.body('§l§6Variants or Editions available\n§l§bFound in Decoders, Structures & Crafting\n\n§3Description\n§o§hA small knife that is easy to carry. Although its attack range is short, its draw speed is mild to compensate.\n\n§r§l§cSpecifications ✎\n§l§7* Special: None\n§l§7* Damage: 17\n§l§7* Range: 4.5 (blocks)\n§l§7* Cooldown: 0.25 (seconds)\n§l§7* Durability: 250\n\n§fPrice: §r§250 Mileage')
    formPistols.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formPistols.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageMelees(player)
            player.runCommand(
                'function buy_balisong'
              )
        }
        if (selection == 1) {
            pageMelees(player)
        }
    })
}

function pageRunebreaker_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('⪼ §l§fBlade Runebreaker§r ⪻')
	formPistols.body('§l§6Variants or Editions available\n§l§bFound in Decoders & Structures\n§9Splash Damage\n§9Fire damage\n§cDamage delay after charging\n\n§3Description\n§o§hA blade that bears a mysterious, ancient power that provides extreme sharpness and hardness. The blade\'s power can be charged and it has the ability to emit a powerful force which allows individual slashes to achieve tremendous fire splash damage.\n\n§r§l§cSpecifications ✎\n§l§7* Special: Charge\n§l§7* Damage: 60 / 30-60-90-120\n§l§7* Range: 6 (blocks)\n§l§7* Cooldown: 1.0 (seconds)\n§l§7* Durability: N/A\n\n§fPrice: §r§2500 Mileage')
    formPistols.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formPistols.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageMelees(player)
            player.runCommand(
                'function buy_runebreaker'
              )
        }
        if (selection == 1) {
            pageMelees(player)
        }
    })
}

function pageBaseballBat_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('⪼ §l§fBaseball Bat§r ⪻')
	formPistols.body('§l§bFound in Decoders, Structures & Crafting\n§9Uppercut Knockback\n§cDamage delay after hitting\n\n§3Description\n§o§hAlthough blunt and doesn\'t deal much damage, the stopping power it can produce in the right hands can deter danger very well!\n\n§r§l§cSpecifications ✎\n§l§7* Special: Knockback\n§l§7* Damage: 15\n§l§7* Range: 4.8 (blocks)\n§l§7* Cooldown: 0.4 (seconds)\n§l§7* Durability: 100\n\n§fPrice: §r§290 Mileage')
    formPistols.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formPistols.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageMelees(player)
            player.runCommand(
                'function buy_baseball'
              )
        }
        if (selection == 1) {
            pageMelees(player)
        }
    })
}

function pageBrass_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('⪼ §l§fBrass Knuckles§r ⪻')
	formPistols.body('§l§bFound in Decoders, Structures & Crafting\n§9Attacked targets will be disoriented\n§cDamage delay after hitting\n\n§3Description\n§o§hCrafted for close-quarters combat, these brass knuckles deliver raw, unrelenting power with every strike AND after.\n\n§r§l§cSpecifications ✎\n§l§7* Special: Concussion\n§l§7* Damage: 24\n§l§7* Range: 4.5 (blocks)\n§l§7* Cooldown: 1.0 (seconds)\n§l§7* Durability: 30\n\n§fPrice: §r§265 Mileage')
    formPistols.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formPistols.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageMelees(player)
            player.runCommand(
                'function buy_brass'
              )
        }
        if (selection == 1) {
            pageMelees(player)
        }
    })
}

function pageCrowbar_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('⪼ §l§fCrowbar§r ⪻')
	formPistols.body('§l§bFound in Decoders, Structures & Crafting\n§9Faster mining speeds\n§cDamage delay after hitting (stab)\n\n§3Description\n§o§hPart time picking nails, part time picking eyes. Can be used as a low-level pickaxe.\n\n§r§l§cSpecifications ✎\n§l§7* Special: Stab\n§l§7* Damage: 17 / 34\n§l§7* Range: 6 / 3.2 (blocks)\n§l§7* Cooldown: 0.25 / 1.0 (seconds)\n§l§7* Durability: 250\n\n§fPrice: §r§290 Mileage')
    formPistols.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formPistols.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageMelees(player)
            player.runCommand(
                'function buy_crowbar'
              )
        }
        if (selection == 1) {
            pageMelees(player)
        }
    })
}

function pageKarambit_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('⪼ §l§fKarambit§r ⪻')
	formPistols.body('§l§bFound in Decoders, Structures & Crafting\n\n§3Description\n§o§hPerhaps, this world\'s most famous.\n\n§r§l§cSpecifications ✎\n§l§7* Special: Stab\n§l§7* Damage: 25 / 50\n§l§7* Range: 4.7 / 3.2 (blocks)\n§l§7* Cooldown: 0.25 / 1.25 (seconds)\n§l§7* Durability: 250\n\n§fPrice: §r§2250 Mileage')
    formPistols.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formPistols.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageMelees(player)
            player.runCommand(
                'function buy_karambit'
              )
        }
        if (selection == 1) {
            pageMelees(player)
        }
    })
}


function pageHuntsmanKnife_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('⪼ §l§fHuntsman Knife§r ⪻')
	formPistols.body('§l§bFound in Decoders, Structures & Crafting\n\n§3Description\n§o§hA knife designed for modern tactical uses, the blade is well suited for a range of both combat and utilitarian needs.\n\n§r§l§cSpecifications ✎\n§l§7* Special: Stab\n§l§7* Damage: 18 / 38\n§l§7* Range: 6 / 3.5 (blocks)\n§l§7* Cooldown: 0.25 / 1.0 (seconds)\n§l§7* Durability: 250\n\n§fPrice: §r§2100 Mileage')
    formPistols.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formPistols.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageMelees(player)
            player.runCommand(
                'function buy_huntsman'
              )
        }
        if (selection == 1) {
            pageMelees(player)
        }
    })
}

function pageM9_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('⪼ §l§fM9 Bayonet§r ⪻')
	formPistols.body('§l§6Variants or Editions available\n§l§bFound in Decoders, Structures & Crafting\n\n§3Description\n§o§hOriginally intended to be mounted on a rifle, it is also well suited to close-quarters combat.\n\n§r§l§cSpecifications ✎\n§l§7* Special: Stab\n§l§7* Damage: 18 / 42\n§l§7* Range: 5 / 3.5 (blocks)\n§l§7* Cooldown: 0.25 / 1.0 (seconds)\n§l§7* Durability: 250\n\n§fPrice: §r§2100 Mileage')
    formPistols.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formPistols.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageMelees(player)
            player.runCommand(
                'function buy_m9'
              )
        }
        if (selection == 1) {
            pageMelees(player)
        }
    })
}

function pageNomad_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('⪼ §l§fNomad Knife§r ⪻')
	formPistols.body('§l§bFound in Decoders, Structures & Crafting\n\n§3Description\n§o§hErgonomic tactical hunting lock-blade knife features composite handle inserts and a broad, sturdy blade, useful for cutting and prying apart material. Range is always the same.\n\n§r§l§cSpecifications ✎\n§l§7* Special: Stab\n§l§7* Damage: 18 / 38\n§l§7* Range: 3.5 / 3.5 (blocks)\n§l§7* Cooldown: 0.25 / 1.0 (seconds)\n§l§7* Durability: 250\n\n§fPrice: §r§2100 Mileage')
    formPistols.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formPistols.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageMelees(player)
            player.runCommand(
                'function buy_nomad'
              )
        }
        if (selection == 1) {
            pageMelees(player)
        }
    })
}

function pageSkeletonKnife_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('⪼ §l§fSkeleton Knife§r ⪻')
	formPistols.body('§l§bFound in Decoders, Structures & Crafting\n\n§3Description\n§o§hThere\'s an evil scary skeleton in all of us.\n\n§r§l§cSpecifications ✎\n§l§7* Special: Stab\n§l§7* Damage: 22 / 44\n§l§7* Range: 5 / 4 (blocks)\n§l§7* Cooldown: 0.25 / 1.0 (seconds)\n§l§7* Durability: 250\n\n§fPrice: §r§2140 Mileage')
    formPistols.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formPistols.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageMelees(player)
            player.runCommand(
                'function buy_skeletonk'
              )
        }
        if (selection == 1) {
            pageMelees(player)
        }
    })
}

function pageTomahawk_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('⪼ §l§fTomahawk§r ⪻')
	formPistols.body('§l§bFound in Decoders & Structures\n§9Faster mining speeds\n§cDamage delay after hitting\n\n§3Description\n§o§hThis is a battle hand axe provided for Special Forces members. It has great one hit potential, and it can be used as a pickaxe and axe, and not to mention the excellent range. You can use it to knock away approaching targets by using the stab attack.\n\n§r§l§cSpecifications ✎\n§l§7* Special: Stab (knockback)\n§l§7* Damage: 22 / 52\n§l§7* Range: 5.6 / 5 (blocks)\n§l§7* Cooldown: 0.25 / 1.0 (seconds)\n§l§7* Durability: 400\n\n§fPrice: §r§2600 Mileage')
    formPistols.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formPistols.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageMelees(player)
            player.runCommand(
                'function buy_tomahawk'
              )
        }
        if (selection == 1) {
            pageMelees(player)
        }
    })
}

function pageHzknife_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('⪼ §l§fHeavy Zombie Knife§r ⪻')
	formPistols.body('§l§bFound in Decoders & Structures\n§cDamage delay after hitting\n\n§3Description\n§o§hThis is a cleaver previously owned by the Heavy zombie. It\'s very simple-looking yet sturdy depiste its worn-out appearance due to the countless of executions carried by the former holder.\n\n§r§l§cSpecifications ✎\n§l§7* Special: Stab\n§l§7* Damage: 23 / 46\n§l§7* Range: 4 / 3 (blocks)\n§l§7* Cooldown: 0.75 / 1.25 (seconds)\n§l§7* Durability: 250')
    formPistols.button('Okay', 'textures/ui/lol') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
	
        if (selection == 0) {
            pageMelees(player)
        }
    })
}

function pageHammer_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('⪼ §l§fHammer§r ⪻')
	formPistols.body('§l§bFound in Decoders & Structures\n§9Great knockback\n§9Attacked targets will be disoriented\n§cDamage delay after hitting\n\n§3Description\n§o§hAlthough it is slow and inefficient as a weapon, the smash attack from it can knock back incoming targets away, and increase the disorientation strength.\n\n§r§l§cSpecifications ✎\n§l§7* Special: Smash\n§l§7* Damage: 46 / 68\n§l§7* Range: 2.3 / 2.3 (blocks)\n§l§7* Cooldown: 1.8 / 1.8 (seconds)\n§l§7* Durability: 780\n\n§fPrice: §r§2400 Mileage')
    formPistols.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formPistols.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageMelees(player)
            player.runCommand(
                'function buy_hammer'
              )
        }
        if (selection == 1) {
            pageMelees(player)
        }
    })
}

function pageWarhammer_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('⪼ §l§fWarhammer Storm Giant§r ⪻')
	formPistols.body('§l§bFound in Decoders & Structures\n§9Splash damage (+ increases radius when stabbing)\n§9Attack upon draw\n§9Great knockback\n§cDamage delay after hitting\n\n§3Description\n§o§hIf you can learn its mechanics and combos while drawing the weapon, you will be untouchable. It\'s not purchaseable for a reason.\n\n§r§l§cSpecifications ✎\n§l§7* Special: Multiple\n§l§7* Damage: 59 / 118\n§l§7* Range: 4 / 4 (blocks)\n§l§7* Cooldown: 2.8 / 3.0 (seconds)\n§l§7* Durability: 1400')
    formPistols.button('Okay', 'textures/ui/lol11') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageMelees(player)
        }
    })
}

function pageSnapBlade_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('⪼ §l§f?§r ⪻')
	formPistols.body('§l§3Description\n§o§h"I saved yuh life, so now yuh haffi do me some favors. Besides, ain\'t it you who create dat ting to kill us, anyway?" - Voodoo Zombie\n\n§r§l§cSpecifications ✎\n§l§7* Special: ?\n§l§7* Damage: ?\n§l§7* Range: ?\n§l§7* Cooldown: ?\n§l§7* Durability: ?')
    formPistols.button('Okay', 'textures/ui/lol11') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageMelees(player)
        }
    })
}

function pageUrsusKnife_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('⪼ §l§fUrsus Knife§r ⪻')
	formPistols.body('§l§bFound in Decoders & Structures\n\n§3Description\n§o§hThis tanto-style survival knife features a faceted blade and full tang, complete with impact pommel. No fuss, no moving parts - just a reliable blade that\'s ready to work.\n\n§r§l§cSpecifications ✎\n§l§7* Special: Stab\n§l§7* Damage: 23 / 48\n§l§7* Range: 5 / 3.5 (blocks)\n§l§7* Cooldown: 0.25 / 1.0 (seconds)\n§l§7* Durability: 250\n\n§fPrice: §r§2170 Mileage')
    formPistols.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formPistols.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageMelees(player)
            player.runCommand(
                'function buy_ursus'
              )
        }
        if (selection == 1) {
            pageMelees(player)
        }
    })
}

function pageTaserKnife_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('⪼ §l§fTaser Knife§r ⪻')
	formPistols.body('§l§bFound in Decoders & Structures\n§9Stuns targets\n§9When present in inventory, Stun Rifle charges 2x faster\n§9To venom blast, simply eat / use the Taser Knife but don\'t let go\n\n§3Description\n§o§hA special knife that is applied with electrical currents from a giant Tesla. Moderate damage and attack speed, and is able to stun things when slashing. You can charge the knife to perform an attack that shoots you in the sky, and when you land, kills everything in a 10-block radius - including you.\n\n§r§l§cSpecifications ✎\n§l§7* Special: Venom Blast\n§l§7* Damage: 20 / 100\n§l§7* Range: 5 / 10 (blocks)\n§l§7* Cooldown: 0.25 / 30.0 (seconds)\n§l§7* Durability: 100\n\n§fPrice: §r§2320 Mileage')
    formPistols.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formPistols.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageMelees(player)
            player.runCommand(
                'function buy_taserk'
              )
        }
        if (selection == 1) {
            pageMelees(player)
        }
    })
}

function pageSerpentBlade_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('⪼ §l§fSerpent Blade§r ⪻')
	formPistols.body('§l§bFound in Decoders & Structures\n§cDamage delay after hitting\n\n§3Description\n§o§hSerpent Blade is based off the Long Keris, a famous traditional dagger used by the people of the Malay Archipelago. It has an incredibly long range for both slashing and stabbing.\n\n§r§l§cSpecifications ✎\n§l§7* Special: Stab\n§l§7* Damage: 15 / 40\n§l§7* Range: 6 / 5 (blocks)\n§l§7* Cooldown: 0.5 / 1.0 (seconds)\n§l§7* Durability: 250')
    formPistols.button('Okay', 'textures/ui/lol9') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
	
        if (selection == 0) {
            pageMelees(player)
        }
    })
}

function pageMachete_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('⪼ §l§fMachete§r ⪻')
	formPistols.body('§l§bFound in Decoders, Structures & Crafting\n§9Attacks in a diagonal line\n§cDamage delay after hitting\n\n§3Description\n§o§hAlthough very slow and could be outclassed, Machete is a cheap & great option when you want to deal splash damage in early game. It is also readily available.\n\n§r§l§cSpecifications ✎\n§l§7* Special: Diagonal Attack\n§l§7* Damage: 40\n§l§7* Range: 5 (blocks)\n§l§7* Cooldown: 1.75 (seconds)\n§l§7* Durability: 250\n\n§fPrice: §r§2130 Mileage')
    formPistols.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formPistols.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageMelees(player)
            player.runCommand(
                'function buy_machete'
              )
        }
        if (selection == 1) {
            pageMelees(player)
        }
    })
}

function pageSkull9_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('⪼ §l§fSKULL-9§r ⪻')
	formPistols.body('§l§bFound in Decoders & Structures\n§9Splash damage\n§cDamage delay after hitting\n\n§3Description\n§o§hSKULL-9 is a large battle axe made from a type of special alloy material developed by the government and has murderous destruction power, especially towards zombies. It can kill multiple targets in just one slash. However, it has a very low slash rate and a very low range.\n\n§r§l§cSpecifications ✎\n§l§7* Special: Splash Damage\n§l§7* Damage: 70\n§l§7* Range: 2 (blocks)\n§l§7* Cooldown: 2.0 (seconds)\n§l§7* Durability: 700')
    formPistols.button('Okay', 'textures/ui/lol11') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
	
        if (selection == 0) {
            pageMelees(player)
        }
    })
}

function pageNataKnife_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('⪼ §l§fNata Knife§r ⪻')
	formPistols.body('§l§bFound in Decoders & Structures\n§9Attacks in a diagonal line (slash)\n\n§3Description\n§o§hAlso known as Strong Knife for a good reason, the Nata Knife is able to dispose of anyone relatively quickly. Use the slash attack if there\'s multiple threats!\n\n§r§l§cSpecifications ✎\n§l§7* Special: §bDiagonal Attack §f| §4Stab\n§l§7* Damage: §b38 §7| §476\n§l§7* Range: §b5 §7| §43.8§7 (blocks)\n§l§7* Cooldown: §b1.2 §7| §42.0§7 (seconds)\n§l§7* Durability: 1000')
    formPistols.button('Okay', 'textures/ui/lol10') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
	
        if (selection == 0) {
            pageMelees(player)
        }
    })
}

function pageKukri_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('⪼ §l§fKukri§r ⪻')
	formPistols.body('§r§l§6Variants or Editions available\n§l§bFound in Decoders & Structures\n§cDamage delay after hitting\n\n§3Description\n§o§hDesigned to cut banana trees, re-purposed to cut the heads of those who deserve it most.\n\n§r§l§cSpecifications ✎\n§l§7* Special: Stab\n§l§7* Damage: 27 / 52\n§l§7* Range: 5.6 / 3.4 (blocks)\n§l§7* Cooldown: 0.5 / 1.0 (seconds)\n§l§7* Durability: 250')
    formPistols.button('Okay', 'textures/ui/lol6') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
        if (selection == 0) {
            pageMelees(player)
        }
    })
}

function pageKatana_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('⪼ §l§fKatana§r ⪻')
	formPistols.body('§l§bFound in Decoders & Structures\n§9To block, simply use / eat\n§cDamage delay after hitting\n\n§3Description\n§o§hA Japanese sword made for quick slash tackle. It has become renowned for its sharpness, compactness and strength. With precise timing, you can block projectiles and punches.\n\n§r§l§cSpecifications ✎\n§l§7* Special: Block\n§l§7* Damage: 39\n§l§7* Range: 6 (blocks)\n§l§7* Cooldown: 1.0 / 1.0 (seconds)\n§l§7* Durability: 250')
    formPistols.button('Okay', 'textures/ui/lol6') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
        if (selection == 0) {
            pageMelees(player)
        }
    })
}

function pageDragonKnife_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('⪼ §l§fDragon Knife§r ⪻')
	formPistols.body('§l§bFound in Decoders & Structures\n§9To pyro attack, use / eat Dragon Knife while sneaking\n\n§3Description\n§o§hOnce owned by an ancient Emperor, his soul got eventually trapped within this knife. You can use his soul as fire attacks.\n\n§r§l§cSpecifications ✎\n§l§7* Special: §cStab §7| §6Pyro§r\n§l§7* Damage: 19 | §c38 §7| §618§r\n§l§7* Range: 6 | §c3.3 §7| §69 §7(blocks)\n§l§7* Cooldown: 0.25 | §c1.0 §7| §61.0 §7(seconds)\n§l§7* Durability: 250')
    formPistols.button('Okay', 'textures/ui/lol') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
	
        if (selection == 0) {
            pageMelees(player)
        }
    })
}

function pageTacticalKnife_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('⪼ §l§fTactical Knife§r ⪻')
	formPistols.body('§l§bFound in Decoders & Structures\n§9To throw knives, use / eat Tactical Knife\n\n§3Description\n§o§hThis is a throwing knife that is made out of titanium alloy. It has an excellent injury ability due to its small and solid edge, therefore, it is suitable for tactical use in battle.\n\n§r§l§cSpecifications ✎\n§l§7* Special: Throwing Knives\n§l§7* Damage: 23 / 43\n§l§7* Range: 3 / Forever §7(blocks)\n§l§7* Cooldown: 0.5 / 1.0 §7(seconds)\n§l§7* Durability: 250')
    formPistols.button('Okay', 'textures/ui/lol') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
	
        if (selection == 0) {
            pageMelees(player)
        }
    })
}

function pageCombatKnife_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('⪼ §l§fCombat Knife§r ⪻')
	formPistols.body('§l§bFound in Decoders & Structures\n\n§3Description\n§o§hDon\'t be afraid, it\'s in the name.\n\n§r§l§cSpecifications ✎\n§l§7* Special: Stab\n§l§7* Damage: 23 / 46\n§l§7* Range: 5.5 / 3.3 (blocks)\n§l§7* Cooldown: 0.5 / 1.5 (seconds)\n§l§7* Durability: 320')
    formPistols.button('Okay', 'textures/ui/lol3') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageMelees(player)
        }
    })
}

function pageBowie_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('⪼ §l§fBowie§r ⪻')
	formPistols.body('§l§bFound in Decoders, Structures & Crafting\n\n§3Description\n§o§hOne-handed beast, the Bowie knife is designed for heavy use in brutal survival situations.\n\n§r§l§cSpecifications ✎\n§l§7* Special: Same reach\n§l§7* Damage: 20 / 45\n§l§7* Range: 5 / 5 (blocks)\n§l§7* Cooldown: 0.25 / 1.50 (seconds)\n§l§7* Durability: 600\n\n§fPrice: §r§2120 Mileage')
    formPistols.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formPistols.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageMelees(player)
            player.runCommand(
                'function buy_bowie'
              )
        }
        if (selection == 1) {
            pageMelees(player)
        }
    })
}

function pageddox(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('⪼ §aCheckout§r ⪻')
	formPistols.body('§o§7When using / eating the §cCompass§7, coordinates of all players in a 100 block radius will be shown to you. Players with this perk equipped are invulnerable.\n\n§r§fPrice: §r§2650 Mileage')
    formPistols.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formPistols.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pagePerks(player)
            player.runCommand(
                'function buy_ddox'
              )
        }
        if (selection == 1) {
            pagePerks(player)
        }
    })
}


function pageUSP_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('⪼ §l§fUSP§r ⪻')
	formPistols.body('§r§l§6Variants or Editions available\n§r§l§bFound in Decoders, Structures & Crafting\n§l§9To silence/unsilence, place the USP in the crafting grid\n§l§cBouncy recoil mechanic when shot in slow bursts\n\n§r§3Description\n§o§7§lK&M 45. Tactical, or the USP, has a detachable silencer that gives shots more recoil and lowers damage while suppressing attention-getting noise. When unsilenced, recoil is lowered but your shots can be heard further.\n\n§r§l§cSpecifications\n§l§7* Great ammo reserve\n§l§7* High damage for its type\n§l§7* Difficulty: §e✦✦§f✧✧✧\n\n§fPrice: §r§2250 Mileage §f& §6195 Copper Ingots')
    formPistols.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formPistols.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pagePistols(player)
            player.runCommand(
                'function buy_usp'
              )
        }
        if (selection == 1) {
            pagePistols(player)
        }
    })
}

function pageMK23_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('⪼ §l§fMK23§r ⪻')
	formPistols.body('§l§bFound in Decoders, Structures & Bingo\n§9To silence/unsilence, place the MK23 in the crafting grid\n§cHas 2 random damage values\n\n§l§3Description\n§o§hThe MK23 is a machanical USP that is focused on being more tactical, faster, stronger, and better.\n\n§r§l§cSpecifications\n§l§7* Silencer improves accuracy\n§l§7* Exceptional accuracy\n§l§7* Difficulty: §a✧§f✧✧✧✧\n\nNote: have some shame')
    formPistols.button('Okay', 'textures/ui/lol9') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pagePistols(player)
        }
    })
}

function pageRayGun_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('⪼ §l§fRay Gun§r ⪻')
	formPistols.body('§r§l§bFound in Bingo\n§l§9Infinite Ammo\n§l§9No Recoil\n§l§iStatic accuracy at all times\n\n§r§l§3Description\n§o§7Mythical weapon capable of shooting slow velocity, infinite, weak, red lasers that leave lava particles behind.\n\n§r§l§cSpecifications\n§l§7* Infinite damage output potential\n§l§7* Good accuracy\n§l§7* Difficulty: §a✧§f✧✧✧✧')
    formPistols.button('Okay', 'textures/ui/lol7') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pagePistols(player)
        }
    })
}

function pageMaxim_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('⪼ §l§fMaxim-9§r ⪻')
	formPistols.body('§r§l§6Variants or Editions available\n§l§bFound in Decoders, Structures & Bingo\n§l§9Can aim down-sights by sneaking\n§l§cHas damage drop-off at long distances\n\n§r§l§3Description\n§o§7The Maxim-9 is an integrally silenced pistol that is able to aim down-sights. It\'s extremely lethal upclose (more lethal than a Desert Eagle!), but the damage-drop off penalty is even more lethal.\n\n§r§l§cSpecifications\n§l§7* Whisper-quiet\n§l§7* Keep engagments close and personal\n§l§7* Difficulty: §e✦✦§f✧✧✧')
    formPistols.button('Okay', 'textures/ui/lol') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pagePistols(player)
        }
    })
}


function pageXD_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('⪼ §l§fXD§r ⪻')
	formPistols.body('§r§l§bFound in Structures & Bingo\n§l§9Has unique tracers\n§l§9Can aim down-sights by sneaking\n§l§cHas bullet-drop & gravity\n\n§r§l§3Description\n§o§7The XD-M Elite is a tactical pistol that is able to aim down-sights, but has unusual traits such as bullet drops.\n\n§r§l§cSpecifications\n§l§7* Great in nighttime\n§l§7* Harsh inaccuracy climb/penalty\n§l§7* Difficulty: §6✦✦✦§f✧✧')
    formPistols.button('Okay', 'textures/ui/lol') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pagePistols(player)
        }
    })
}


function pageP228_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('⪼ §l§fP228§r ⪻')
	formPistols.body('§l§bFound in Decoders, Structures & Crafting\n§cHas damage drop-off at long distances\n\n§3Description\n§o§hThe SIG Sauer P228 or simply P228 is a Swiss made compact semi-automatic pistol in the Counter-Strike series. It\'s very average, and the only thing going for it is it\'s jumping accuracy.\n\n§r§l§cSpecifications\n§l§7* Don\'t be shy to jump\n§l§7* Good damage up-close\n§l§7* Difficulty: §a✦§f✧✧✧✧\n\n§fPrice: §r§2128 Mileage §f& §668 Copper Ingots')
    formPistols.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formPistols.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pagePistols(player)
            player.runCommand(
                'function buy_p228'
              )
        }
        if (selection == 1) {
            pagePistols(player)
        }
    })
}



function pageP99_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('⪼ §l§fP99§r ⪻')
	formPistols.body('§l§bFound in Decoders, Structures & Bingo\n\n§l§3Description\n§o§l§hThe Walther P99 is a great pistol to annoy snipers, as the velocity coming out of it surpasses most of them! only one issue though, are you willing to sacrafice hours of your life to obtain such rare elegance?\n\n§r§l§cSpecifications\n§l§7* Great at killing fast flying mobs\n§l§7* High velocity pistol\n§l§7* Difficulty: §6✦§f✧✧✧✧')
    formPistols.button('Okay', 'textures/ui/lol') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pagePistols(player)
        }
    })
}


function pageDeagleDual_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('⪼ §l§fDual Deagle§r ⪻')
	formPistols.body('§r§l§bFound in Decoders, Structures & Bingo\n\n§l§3Description\n§o§7Long awaited, the Dual Desert Eagles are far better than their single counter-part. Higher damage, lower recoil, double mags, and double the fun!\n\n§r§l§cSpecifications\n§l§7* Great accuracy and recoil\n§l§7* High velocity pistol\n§l§7* Difficulty: §a✦§f✧✧✧✧')
    formPistols.button('Okay', 'textures/ui/lol5') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pagePistols(player)
        }
    })
}


function pageBerettaDual_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('⪼ §l§fDual Berettas§r ⪻')
	formPistols.body('§r§l§bFound in Decoders, Structures & Crafting\n\n§l§3Description\n§o§7Bedrock\'s first real dual pistols, the Dual Berettas or Elites consists of low recoil, good rate of fire, okay accuracy, and average damage. Try shooting facing the barrels of the guns.\n\n§r§l§cSpecifications\n§l§7* Great ammo capacity\n§l§7* May feel weird at first\n§l§7* Difficulty: §e✦✦§f✧✧✧\n\n§fPrice: §r§2210 Mileage')
    formPistols.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formPistols.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pagePistols(player)
            player.runCommand(
                'function buy_beretta'
              )
        }
        if (selection == 1) {
            pagePistols(player)
        }
    })
}


function pageM79_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('⪼ §l§fM79§r ⪻')
	formPistols.body('§r§l§6Variants or Editions available\n§l§bFound in Structures & Bingo\n§l§9Has no Recoil\n§l§cHas bullet-drop & gravity\n\n§l§3Description\n§o§7A hand-cannon that is able to shoot grenades that explode on impact. Needs to be reloaded every shot.\n\n§r§l§cSpecifications ✎\n§l§7* Damage: 35 (direct hit)\n§l§7* Cooldown: 2.0 (seconds)')
    formPistols.button('Okay', 'textures/ui/lol8') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pagePistols(player)
        }
    })
}


function pageBubble_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('⪼ §l§fBubble Gun§r ⪻')
	formPistols.body('§r§l§bFound in Structures & Bingo\n§l§cHas bullet-drop & gravity\n\n§3§lDescription\n§o§7A silly toy that shoots bubbles. I wonder what happens if they touch someone...?\n\n§r§l§cSpecifications\n§l§7* Use it only to get rid of very dangerous threats\n§l§7* Conserve your ammo\n§l§7* Difficulty: §a✦§f✧✧✧✧')
    formPistols.button('Okay', 'textures/ui/lol4') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pagePistols(player)
        }
    })
}


function pageSVI_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('⪼ §l§fSVI Infinity Silver§r ⪻')
	formPistols.body('§l§6Variants or Editions available\n§bFound in Structures & Bingo\n§l§9Can aim down-sights by sneaking\n§l§cBouncy recoil mechanic\n\n§3Description\n§o§7Style, Aesthetic & Class all in one Iconic package. The SVI Infinity is an absolute staple of Counter-Strike Online that doesn\'t seem to fade away due to the reliability of itself, and it\'s Dual Wield version(s).\n\n§r§l§cSpecifications\n§l§7* High damage for its type\n§l§7* Slightly harsh inaccuracy climb/penalty\n§l§7* Difficulty: §6✦§f✧✧✧✧')
    formPistols.button('Okay', 'textures/ui/lol3') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pagePistols(player)
        }
    })
}

function pageSVIBlack_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('⪼ §l§fSVI Infinity Black§r ⪻')
	formPistols.body('§l§6Variants or Editions available\n§bFound in Crafting\n§l§9Can aim down-sights by sneaking\n§l§cBouncy recoil mechanic\n\n§3Description\n§o§7Style, Aesthetic & Class all in one Iconic package. The SVI Infinity is an absolute staple of Counter-Strike Online that doesn\'t seem to fade away due to the reliability of itself, and it\'s Dual Wield version(s). Black version has miniscule improvements to recoil & accuracy.\n\n§r§l§cSpecifications\n§l§7* High damage for its type\n§l§7* Slightly less harsh inaccuracy climb/penalty than Silver\n§l§7* Difficulty: §e✦§f✧✧✧✧')
    formPistols.button('Okay', 'textures/ui/lol3') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pagePistols(player)
        }
    })
}

function pageSVIRed_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('⪼ §l§fSVI Infinity Red§r ⪻')
	formPistols.body('§l§6Variants or Editions available\n§bFound in Crafting\n§l§9Can aim down-sights by sneaking\n§l§cBouncy recoil mechanic\n\n§3Description\n§o§7Style, Aesthetic & Class all in one Iconic package. The SVI Infinity is an absolute staple of Counter-Strike Online that doesn\'t seem to fade away due to the reliability of itself, and it\'s Dual Wield version(s). Red version has noticable improvements to damage & reloading speeds.\n\n§r§l§cSpecifications\n§l§7* Highest damage for its type\n§l§7* Designed for aggressive plays\n§l§7* Difficulty: §6✦§f✧✧✧✧')
    formPistols.button('Okay', 'textures/ui/lol3') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pagePistols(player)
        }
    })
}

function pageKC_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('⪼ §l§fKing Cobra§r ⪻')
	formPistols.body('§r§l§6Variants or Editions available\n§l§bFound in Structures & Bingo\n§l§9Can scope by sneaking\n§l§9Recoil doesn\'t increase\n\n§l§3Description\n§o§7The King Cobra is a high risk high reward sniper-revolver that requires your patience inbetween clicks and rage cooldowns hit accurate shots.\n\n§r§l§cSpecifications\n§l§7* Think of it as a pocket sniper\n§l§7* Very harsh inaccuracy climb/penalty\n§l§7* Difficulty: §4✦✦✦✦§f✧')
    formPistols.button('Okay', 'textures/ui/lol12') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pagePistols(player)
        }
    })
}

function pageVoidAvenger_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('⪼ §l§fVoid Avenger§r ⪻')
	formPistols.body('§r§l§bFound in Decoders & Bingo\n§l§9Has special traits\n\n§l§3Description\n§o§7The Void Avenger is an epic-pistol weapon for a very good reason - it can immediately stop everyone around you in their tracks in a certain radius for a few seconds by a simple click!\nAfter 55 shots you obtain a Void Bullet which can be thrown to create a big crator that can pull mobs in and fatally kill them after 6 seconds.\n\n§r§l§cSpecifications\n§l§7* Pistol Damage: §817\n§l§7* Void Crator Explosion Damage: §8100+\n§l§7* Void Crator Aura Range: §815\n§l§7* Difficulty: §6✦✦✦§f✧✧\n\n§fPrice: §r§2664 Mileage §f& §6270 Copper Ingots')
    formPistols.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formPistols.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pagePistols(player)
            player.runCommand(
                'function buy_void'
              )
        }
        if (selection == 1) {
            pagePistols(player)
        }
    })
}

function pageGunslinger_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('⪼ §aCheckout§r ⪻')
	formPistols.body('§r§bFound in Decoders\n§9Has special traits\n\n§3Description:\n§o§7The Beretta Gunslinger is a transcendent-grade pistol that is capable of performing melee attacks to stun nearby mobs and damage them. Once you have depleted your ammo entirely, a big "BOOM" will arise to assist you in your final moments!\n\n§r§cStats:\n§4This weapon is not eligible for stat showcase, as it didn\'t recieve the Counter-Strike adjustment yet.\n\n§fPrice: §r§2556 Mileage §f& §6185 Copper Ingots')
    formPistols.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formPistols.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pagePistols(player)
            player.runCommand(
                'function buy_gunslinger'
              )
        }
        if (selection == 1) {
            pagePistols(player)
        }
    })
}


function pageMakarov_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('⪼ §aCheckout§r ⪻')
	formPistols.body('§r§bFound in Decoders, Structures & Bingo\n§9To silence/unsilence, place the Makarov in the crafting grid\n\n§3Description:\n§o§7The Makarov has a detachable silencer that helps your accuracy and makes you stealthy.\n\n§r§cStats:\n§4This weapon is not eligible for stat showcase, as it didn\'t recieve the Counter-Strike adjustment yet.')
    formPistols.button('Okay', 'textures/ui/lol2') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pagePistols(player)
        }
    })
}


function pageMauser_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('⪼ §l§fMauser C96§r ⪻')
	formPistols.body('§r§l§bFound in Decoders, Structures & Crafting\n\n§3§lDescription\n§o§7The Mauser C96 is a machine pistol. It has low recoil and is quite easy to handle, but the velocity and damage is absurd.\n\n§r§l§cSpecifications\n§l§7* Low inaccuracy climb in rapid fire\n§l§7* Incredible accuracy all around\n§l§7* Difficulty: §a✦§f✧✧✧✧\n\n§fPrice: §r§296 Mileage §f& §639 Copper Ingots')
    formPistols.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formPistols.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pagePistols(player)
            player.runCommand(
                'function buy_mauser'
              )
        }
        if (selection == 1) {
            pagePistols(player)
        }
    })
}

function pageAutomag_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('⪼ §l§fAMT AutoMag V§r ⪻')
	formPistols.body('§r§l§6Variants or Editions available\n§r§l§bFound in Decoders, Structures & Crafting\n\n§l§3Description\n§o§l§7The Automag is a semi-automatic pistol that\'s similar to the Desert-Eagle - with lower damage, and higher accuracy, similar to the AKM and AK-47 relationship.\n\n§r§l§cSpecifications\n§l§7* Looking for something familiar yet fresh?\n§l§7* Good damage for it\'s type\n§l§7* Difficulty: §e✦✦§f✧✧✧\n\n§fPrice: §r§2300 Mileage §f& §6150 Copper Ingots')
    formPistols.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formPistols.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pagePistols(player)
            player.runCommand(
                'function buy_automag'
              )
        }
        if (selection == 1) {
            pagePistols(player)
        }
    })
}


function pageDeagle_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('⪼ §l§fDesert Eagle§r ⪻')
	formPistols.body('§r§l§6Variants or Editions available\n§r§l§bFound in Decoders, Structures & Crafting\n\n§l§3Description\n§o§l§7The Desert Eagle is a high caliber pistol fed with 7 rounds of high-damaging bullets. Although it has low magazine size and low fire rate, it does higher damage than most pistols and has good accuracy for first few shots. Thus, its reload time is very short.\n\n§r§l§cSpecifications\n§l§7* Higher damage than average\n§l§7* Recoil is forgiving for it\'s type\n§l§7* Difficulty: §6✦✦✦§f✧✧\n\n§fPrice: §r§2380 Mileage §f& §6100 Copper Ingots')
    formPistols.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formPistols.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pagePistols(player)
            player.runCommand(
                'function buy_deagle'
              )
        }
        if (selection == 1) {
            pagePistols(player)
        }
    })
}

function pageAnaconda_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('⪼ §l§fAnaconda§r ⪻')
	formPistols.body('§r§l§bFound in Decoders, Structures & Crafting\n§l§cFirst shot is not accurate\n§l§cAccuracy is random\n\n§l§3Description\n§o§7Anaconda is the definitive middleground between the Desert Eagle and the R8 revolver.\n\n§r§l§cSpecifications\n§l§7* Slow rate of fire for its type\n§l§7* Higher damage than average\n§l§7* Difficulty: §6✦§f✧✧✧✧\n\n§fPrice: §r§2380 Mileage §f& §6100 Copper Ingots')
    formPistols.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formPistols.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pagePistols(player)
            player.runCommand(
                'function buy_anaconda'
              )
        }
        if (selection == 1) {
            pagePistols(player)
        }
    })
}


function pageWelrod_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('⪼ §l§fWelrod§r ⪻')
	formPistols.body('§r§l§bFound in Decoders, Structures & Crafting\n\n§l§3Description\n§o§7The Welrod is a pistol that has low recoil and is quite easy to handle, but the rate of fire is rather slow.\n\n§r§l§cSpecifications\n§l§7* Use distance to your advantage\n§l§7* High damage for its type\n§l§7* Difficulty: §a✦§f✧✧✧✧\n\n§fPrice: §r§2172 Mileage §f& §670 Copper Ingots')
    formPistols.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formPistols.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pagePistols(player)
            player.runCommand(
                'function buy_welrod'
              )
        }
        if (selection == 1) {
            pagePistols(player)
        }
    })
}

function pageR8_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('⪼ §l§fR8 Revolver§r ⪻')
	formPistols.body('§l§bFound in Decoders, Structures & Crafting\n§9Same recoil at all times\n§cHas trigger-pull mechanic\n\n§l§3Description\n§l§o§hThe R8 Revolver delivers a highly accurate and powerful round at the expense of a lengthy trigger-pull.\n\n§r§l§cSpecifications\n§r§l§7* Deals massive damage after a short delay\n§l§7* Hitscan\n§l§7* Difficulty: §4✦✦✦✦§f✧\n\n§l§fPrice: §b§2284 Mileage §f& §6160 Copper Ingots')
    formPistols.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formPistols.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pagePistols(player)
            player.runCommand(
                'function buy_r8'
              )
        }
        if (selection == 1) {
            pagePistols(player)
        }
    })
}

function pageDesperado_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('⪼ §l§fPython Desperado§r ⪻')
	formPistols.body('§r§l§bFound in Decoders\n§l§9To switch to knockback/stun, simply hit anything\n\n§3§lDescription\n§o§7Two upgraded Pythons that can switch between stun or knockback. Which one?\n\n§r§l§cSpecifications\n§r§l§7* Near-instant reload time\n§l§7* Very low damage for it\'s type\n§l§7* Difficulty: §a✧§f✧✧✧✧\n\n§fPrice: §r§2490 Mileage §f& §6300 Copper Ingots')
    formPistols.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formPistols.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pagePistols(player)
            player.runCommand(
                'function buy_desperado'
              )
        }
        if (selection == 1) {
            pagePistols(player)
        }
    })
}

function pageGlock_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('⪼ §l§fGlock-18§r ⪻')
	formPistols.body('§r§l§6Variants or Editions available\n§r§l§bFound in Decoders, Structures & Crafting\n§l§9To semi/burst, simply hit ground/air\n§l§9Has no recoil\n§l§9Deals more damage in burst\n\n§l§3Description\n§o§7The Glock or simply G18C is a Austrian made semi pistol in the Counter-Strike series that is capable of semi-auto shots or 3 bursts.\n\n§r§l§cSpecifications\n§l§7* Low damage in semi mode\n§l§7* Burst function is not a bad idea!\n§l§7* Difficulty: §a✦§f✧✧✧✧\n\n§fPrice: §r§290 Mileage §f& §660 Copper Ingots')
    formPistols.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formPistols.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pagePistols(player)
            player.runCommand(
                'function buy_glock'
              )
        }
        if (selection == 1) {
            pagePistols(player)
        }
    })
}

function pageLuger_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('⪼ §aCheckout§r ⪻')
	formPistols.body('§r§bFound in Decoders, Structures & Crafting\n\n§3Description:\n§o§7The Pistole Modell 1908 or simply P08 is a German-empire made pistol in Counter-Strike Online.\n\n§r§cStats:\n§4This weapon is not eligible for stat showcase, as it didn\'t recieve the Counter-Strike adjustment yet.\n\n§fPrice: §r§2104 Mileage §f& §685 Copper Ingots')
    formPistols.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formPistols.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pagePistols(player)
            player.runCommand(
                'function buy_luger'
              )
        }
        if (selection == 1) {
            pagePistols(player)
        }
    })
}


function pageFiveSeven_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('⪼ §l§fFive-SeveN§r ⪻')
	formPistols.body('§l§bFound in Decoders, Structures & Crafting\n§cLess damage whilst airborne\n§cBullet offset increases whilst unseaking or moving\n\n§l§3Description\n§l§o§hThe FN Five-SeveN or simply FS is a semi-automatic pistol with a high magazine count, but lacks the accuracy that other pistols have in some areas.\n\n§r§l§cSpecifications\n§l§7* Generous ammo capacity\n§l§7* Exceptional accuracy when sneaking\n§l§7* Difficulty: §6✦✦✦§f✧✧\n\n§fPrice: §2200 Mileage §f& §6145 Copper Ingots')
    formPistols.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formPistols.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pagePistols(player)
            player.runCommand(
                'function buy_fiveseven'
              )
        }
        if (selection == 1) {
            pagePistols(player)
        }
    })
}

function pageM1911_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('⪼ §l§fM1911§r ⪻')
	formPistols.body('§r§l§bFound in Decoders, Structures & Crafting\n§l§cHas damage drop-off at long distances\n\n§r§l§3Description\n§o§7America\'s greatest invention (probably), also known as the M1911, is a pistol that has extremely low recoil, high damage, and medium accuracy. Try shooting whilst sneaking to give yourself more velocity to negate damage drop-off.\n\n§r§l§cSpecifications\n§l§7* Keep engagments close and personal\n§l§7* Consider sneaking in long engagments\n§l§7* Difficulty: §e✦✦§f✧✧✧\n\n§fPrice: §r§2148 Mileage §f& §6135 Copper Ingots')
    formPistols.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formPistols.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pagePistols(player)
            player.runCommand(
                'function buy_m1911'
              )
        }
        if (selection == 1) {
            pagePistols(player)
        }
    })
}